HealBot Continued - Change Log
v9.2.7.2
=================
* Replaced Mouse Wheel tab with Binds tab
* Minor fixes and improvements
v9.2.7.1
=================
* Improved range checking
* Minor fixes and improvements
v9.2.7.0 - Recommendation: Before updating, delete existing Healbot addon folders in the Addons folder.
=================
* Improved Extra State icons
* Integrated localizations, HealBot Localization addons can be deleted
* Performance improvements
* Minor fixes and improvements
v9.2.5.9
=================
* Ready Check on Icons>Extra changed to state, additional settings added
* Minor fixes and improvements
v9.2.5.8
=================
* Added horizontal offset to the Bar Text > Aux text tab
* Added additional anchor settings to the Bars > Aux config tab
* Added extra group skin Aux Combo 5
* Added extra raid skin Aux Combo 25
* Added extra raid skin Aux Combo 10
* Improved hide blizzard frames options
* Minor fixes and improvements
v9.2.5.7
=================
* Major improvements to Options frame
* Minor fixes and improvements
v9.2.5.6
=================
* Fixes and improvements to Test bars
* Minor fixes and improvements
v9.2.5.5
=================
* Added thumbnails to Extra Skins import
* Updated all Extra Skins
* Minor fixes and improvements
v9.2.5.4
=================
* Fixed non Hot Bars opacity drop when Hot Bars effects not in use
* Fixes and improvements to Test bars
* Fixes and improvements to Aux bars
v9.2.5.3
=================
* Added new effect Hot Bars
* Improved Health Drop effect
* Added Border Hazard to Custom Debuff bar colours
* Minor fixes and improvements
v9.2.5.2
=================
* Added Name to Aux bars
* Added Health to Aux bars
* Added State to Aux bars
* Improvements to Aux bars
* Added Background Border to bars>colours tab
* Added Adaptive options for background colours
* Improvements to text
* Frame Scale fixes
* Added extra group skin Adaptive 5
* Added extra raid skin Adaptive 25
* Minor fixes and improvements
v9.2.5.1
=================
* Added option to only monitor extra buffs in instances
* More aux bars offset fixes
* Minor fixes and improvements
v9.2.5.0
=================
* Skins can now be shared using a link
* Custom Debuffs can now be shared using a link
* Custom Buffs can now be shared using a link
* Spells can now be shared using a link
* Preset Colours can now be shared using a link
* Tooltip improvements
* Minor fixes and improvements
v9.2.0.12
=================
* Fixes to enemy frames range checks
* Fixed aux bars incorrectly offsetting frames
* Fixed skin resets to standard when no default skin set
v9.2.0.11
=================
* Export/Import now uses compressed data
- Old non compressed exports can still be imported
* Minor fixes and improvements
v9.2.0.10
=================
* Added new effect Health Drop Alert
* Minor fixes and improvements
* Added focus to enemy bars
v9.2.0.9
=================
* Minor fixes and improvements
v9.2.0.8
=================
* Added plugin MyCooldowns
* Minor fixes and improvements
v9.2.0.7
=================
* Minor fixes and improvements
v9.2.0.6
=================
* Added option: Mouse not over frames - Opacity reduction
* Minor effects improvements
* Minor performance improvements
v9.2.0.5
=================
* Minor fixes and improvements
v9.2.0.4
=================
* Performance Improvements
v9.2.0.3
=================
* Aux range30 check only done when required
* Fixed aux fluid bars flicker
v9.2.0.2
=================
* Added extra skin: Not Good Enough
* Minor fixes and improvements
v9.2.0.1
=================
* Fixed delayed bar and text update on joining group or raid
v9.2.0.0
=================
* Added Aux bar for In range 30
* Added Aux bar for Your recent heals
* Added extra skin: Mixology 5
* Added extra skin: Mixology 25
* Minor fixes and improvements
v9.1.5.15
=================
* Health, Background, Incoming heals, Absorb effects and Emergency bar colours now have Class Health mix option
* Name, Health, State and Aggro text colours now have Class Health mix option
* Name, Health, State and Aggro text custom colours now have healthy, injured and critical colours
* Minor fixes and improvements
v9.1.5.14
=================
* Health bar custom colour now has healthy, injured and critical colours
* Background bar custom colour now has healthy, injured and critical colours
* Incoming heals custom colour now has healthy, injured and critical colours
* Absorb effects custom colour now has healthy, injured and critical colours
* Added extra skin: Emerg 5
* Added extra skin: Emerg 25
* Minor fixes and improvements
v9.1.5.13
=================
* Updated extra skin: Kalimdor-5
* Updated extra skin: Kalimdor-25
* Updated extra skin: Kalimdor-40
* Updated extra skin: Kalimdor-10
* Updated extra skin: Dark Efficient 5
* Updated extra skin: Dark Efficient 25
* Updated extra skin: Dark Efficient 40
* Updated extra skin: Mirandinn Party
* Updated extra skin: Mirandinn Raid
* Minor fixes and improvements
v9.1.5.12
=================
* Updated extra skin: Group 5
* Updated extra skin: cRaid25
* Updated extra skin: cRaid40
* Updated extra skin: B&W-Group
* Updated extra skin: B&W-Raid25
* Updated extra skin: B&W-Raid40
* Updated extra skin: High-Vis
* Updated extra skin: Retro-Raid
* Updated extra skin: Blended-Group
* Updated extra skin: Blended-Raid
* Minor fixes and improvements
v9.1.5.11
=================
* Updated extra skin: Aux Party
* Updated extra skin: Clarity Party
* Updated extra skin: Clarity Raid 10
* Updated extra skin: Clarity Raid 25
* Updated extra skin: Clarity Raid 40
* Updated extra skin: Compact Raid 40
* Updated extra skin: Compact Raid 25
* Updated extra skin: Compact Raid 10
* Updated extra skin: Compact Party
* Updated extra skin: Raid 40 Ravera
* Minor fixes and improvements
v9.1.5.10
=================
* Updated extra skin: Bottoms Up cRaid 25
* Updated extra skin: Bottoms Up hRaid 25
* Updated extra skin: Bottoms Up cGroup
* Updated extra skin: Bottoms Up hGroup
* Updated extra skin: Bottoms Up hRaid 40
* Updated extra skin: Bottoms Up cRaid 40
* Updated extra skin: Bottoms Up cRaid 10
* Updated extra skin: Bottoms Up hRaid 10
* Updated extra skin: Bottoms Up Compact Group
* Updated extra skin: Bottoms Up Compact Small Raid
* Updated extra skin: Bottoms Up Compact Large Raid
* Minor fixes and improvements
v9.1.5.9
=================
* All emergency skin settings now included in skin exports
* Added new commands to recover bundled skins
* Minor timing improvements
* Updated extra skin: Aphrahat 2020_10³
* Updated extra skin: Maddy's Large Raid Skin
* Updated extra skin: Maddy Disc
* Updated extra skin: Maddy's Classic Skin
* Updated extra skin: Vivid
* Updated extra skin: Square
* Updated extra skin: Ranged
* Updated extra skin: Magic
* Updated extra skin: Standard Original
* Updated extra skin: Group Original
* Updated extra skin: Raid Original
* Updated extra skin: Alterac Valley
* Added extra skin: Standard v9
* Added extra skin: Group v9
* Added extra skin: Raid 25 v9
* Added extra skin: Raid 40 v9
* Minor fixes and improvements
v9.1.5.8
=================
* Updated extra skin: Aux Aggro
* Updated extra skin: Raid10
* Updated extra skin: Verena
* Updated extra skin: Aux Group
* Updated extra skin: Addydari
* Updated extra skin: Gridlike 40
* Updated extra skin: Full 25
* Updated extra skin: Full 40
* Minor fixes and improvements
v9.1.5.7
=================
* State text improvements
* Option to only show state text in tooltip
* Minor improvements
* Fixed icon duration stalls under certain conditions
* Fixed incorrect auto length on health text
v9.1.5.6
=================
* Tags are now referred to as State text
* State text is now a separate font string with independent anchor and settings
* Aggro text is now a separate font string with independent anchor and settings
* Possible fix for boolean number compare error
* Minor improvements
v9.1.5.5
=================
* Performance improvements
* Show states/icons when player dead
* Added Icon Spacer to Icons Debuff tab
* Added Icon Spacer to Icons Buff tab
* Added Self cast tab to Indicators
v9.1.5.4
=================
* Minor fixes and improvements
v9.1.5.3
=================
* Minor fixes and improvements
v9.1.5.2
=================
* Minor improvements
* Minor fixes
v9.1.5.1
=================
* Performance improvements
* Range checking improvements
* Minor fixes
v9.1.5.0
=================
* Timers updated
* Performance improvements
* Minor fixes
v9.1.0.13
=================
* Fixed emergency spells macro bug
* More fluid bar improvements
* Fixed icons not showing when dismounting in combat
* Minor improvements and fixes
v9.1.0.12
=================
* HealBot menu fixed
* Improved fluid bars
* Improved copy tabs
* Minor improvements and fixes
v9.1.0.11
=================
* Icon timer fixed and improved
v9.1.0.10
=================
* Minor improvements
v9.1.0.9
=================
* Target can be included in frames 1 to 5
* Focus can be included in frames 1 to 5
* Minor improvements and fixes
* Simplified summons monitor for retail only
v9.1.0.8
=================
* Added use icon commands on spells tab
* Added summons text colour
* Added text tag for summons
* Added text tag for res
* Added Aux bar for summons
* Added Aux bar for res
* Improved emergency bars
* Minor improvements and fixes
v9.1.0.7
=================
* Added Out of Range to Aux bars
* Fixed debuff text and sound warnings not triggered
* Moved emergency spells settings to the spells tab
* Added icon commands to the spells tab
* Aura icons have their own tooltips
* Minor improvements
v9.1.0.6
=================
* Added Extra buffs to Buffs>General
* Added Tooltip custom anchor options
* Minor improvements and fixes
v9.1.0.5
=================
* Improved SmartCast resurrection
v9.1.0.4
=================
* Minor improvements and fixes
v9.1.0.3
=================
* Minor tooltip CD fix
* Fixed new spell not registered under certain conditions
* Default custom buffs priority changed to 20
v9.1.0.2
=================
* Fixed duplication bug in certain plugins
* Fixed show self overheals not always updating
* Removed SmartCast healing spells option
* Minor improvements and fixes
v9.1.0.1
=================
* New plugin Performance compatible
* Updated options default buttons
* Improved text length on enemy target bars
* Minor timers improvements
v9.1.0.0
=================
* Fixed overheals text bug when using health colours
* Fluid bars improvements
* Internal timers improvements
* Minor improvements and fixes
v9.0.5.20
=================
* Fixed slow aggro % text updates
* Minor improvements and fixes
v9.0.5.19
=================
* Improved emergency bars
* Fixed debuff type colours bug
v9.0.5.18
=================
* Fixed Smart Cast emergency spells bug
* New offset options for buff and debuff icons
v9.0.5.17
=================
* Added new Emergency tabs to Skins>Frames
- Create an emergency bar on the health bar
- Control how buffs/debuffs are displayed
- Override spells with emergency spells
* Improved Fluid Bars
* Removed Unset spells on disabled bars
* In test mode spells are now always unset
* In test mode frames are always unlocked
* Minor improvements and fixes
v9.0.5.16
=================
* Unset spells on disabled bars turned off by default
* Updated FAQ
v9.0.5.15
=================
* Fixed text bug when showing class
* New option on the General tab to hide unlocked tag
* Minor improvements and fixes
* Updated Supporters
v9.0.5.14
=================
* New option on spells tab: Unset spells on disabled bars
* Updated About tab
* Debuff monitor fix
v9.0.5.13
=================
* Ensure text updates on death
v9.0.5.12
=================
* Added Aux option: Show mana only
* Updated version check
* Minor improvements and fixes
v9.0.5.11
=================
* Minor improvements and fixes
* Fixed new skins bug
v9.0.5.10
=================
* Added new options tab for indicators
* Icon and indicators show above aux bars
* Improved test bars to include indicators
v9.0.5.9
=================
* Minor custom debuffs options update
* Added extra text options on the Bar Text tab for Incoming Heals, Overheals and Aggro
* Minor improvements and fixes
v9.0.5.8
=================
* Improved skin import to handle recent increases in parameters
* Fix for rare Aux bar width not always correct after frame changes
* Updated extra skin Bottoms Up cRaid 40
v9.0.5.7
=================
* Fixed nil error when setting self weapon enchants colour
* Minor improvements and fixes
v9.0.5.6
=================
* Fix for debuffs health bar colour
* Added self weapon enchants to Buffs>General tab
* Updated extra skin Bottoms Up cRaid 25
v9.0.5.5
=================
* Fixed Auto custom debuffs health bar colour bug
* Fixed skin changes not always taking immediate effect
* Fixed custom debuffs override general debuffs
* Minor improvements and fixes
v9.0.5.4
=================
* Fixed health text delta updates
* Fixed Skin import (again)
* Minor improvements
v9.0.5.3
=================
* Aux bar text now available for various assignments
* Aux bar text now available on all frames
* Minor improvements and fixes
v9.0.5.2
=================
* Fixed Skin import
* Minor improvements and fixes
v9.0.5.1
=================
* Improvements to the Enemy frame
* Fixed test bars not updating height and width
* Fixed headers not update via options
* A number of aura bug fixes
v9.0.5.0
=================
* Improved event handling
* Fix debuff colour bug in 9.0.2.10
* New Text>Aux tab to setup cast bar text
* Minor improvements and fixes
v9.0.2.10
=================
* Fixed buff CD bug introduced in 9.0.2.9
* Removed Protection tab
- Crash Protection no longer needed
- Combat Protection plugin available
* Updated Skins>Enemy tab
* Improvements to the Enemy frame
* New Aux bar to show Enemy cast bar
* Performance improvements
* Smoother effects
* Close test bars automatically on entering combat
v9.0.2.9
=================
* Improved Skins>Enemy tab
* Improved Lock position
* Improved Close automatically
* Added indicator to show anchor for Sticky Frames
* Improved aura and health events efficiently
* Simplified Extra Icons
* Minor improvements and fixes
v9.0.2.8
=================
* Fix unit range check when war mode is active - Thanks to Acirac
* Add support for Shadowlands potions - Thanks to Acirac
* Add support for Shadowlands bandages - Thanks to Acirac
* Add debuff support for Phial of Serenity - Thanks to Acirac
* Fixed custom buffs priority bug
* Improved custom buffs and custom debuffs
* Updated spells tab
* Updated Supporters
v9.0.2.7
=================
* Added Target as an assignment on Aux Bars
* Focus Groups effect can now fade or hide unfocused groups
* New plugin - ExtraButtons
* Improved debuff warnings and added raid group filter
* Improved buff warnings and added raid group filter
* Improved tooltips
* Minor improvements and fixes
v9.0.2.6
=================
* Fixed nil error affecting new users in 9.0.2.5
v9.0.2.5
=================
* Simplified/Improved a number of Skins tabs
* Added Focus Groups to Effects
* Moved Enemy options tab
v9.0.2.4
=================
* Simplified Spells tab
* Minor improvements and fixes
* Updated extra skin Standard Original
* Updated extra skin Group Original
* Updated extra skin Raid Original
* Updated extra skin Alterac Valley
v9.0.2.3
=================
* Simplified General tab
* Improved buff monitoring
* Minor improvements and fixes
* Updated extra skin Vivid
* Updated extra skin Square
* Updated extra skin Ranged
* Updated extra skin Magic
v9.0.2.2
=================
* Fixed test bars nil error introduced in 9.0.2.1
v9.0.2.1
=================
* Added extra skin Mirandinn Party
* Added extra skin Mirandinn Raid
* Minor improvements
v9.0.2.0
=================
* Updated extra skin Full 25
* Updated extra skin Full 40
v9.0.1.5
=================
* Updated extra skin Aux Aggro
* Updated extra skin Raid10
* Updated extra skin Aux Group
* Minor fixes
v9.0.1.4
=================
* Fixed protected delete macro call when in combat
* Fixed disabled only when solo enables only on first group/raid joined
* Added lightweight Extra Skins Dark Efficient 5/25/40
* Added command to toggle including Main Assist with Main Tanks
* Minor fixes
v9.0.1.3
=================
* Improved target range check
* Improved target aura check
* Improved focus range check
* Improved focus aura check
* Added Overgrowth
v9.0.1.2
=================
* Fix for Aux bars when using Fluid Bars
* Do not try to load tooltips when turned off on the Tips tab
* Added Nourish
* Added Rogue buffs
* Updated tooltips to reflect power colour
* Power bar improvements
* Increased Timings
* Fixed Pet inherits players role in raids
v9.0.1.1
=================
* Fixed Out of Phase bug
* Timing updates
* Added Dispell Magic
v9.0.1.0
=================
* Shadowlands ready
* Fixed buff custom priority order
* Timing updates
v8.3.7.6
=================
* Performance improvements
* Fixed load issue affecting new users
* Fixed Incoming Heal colour not always correct on Health setting
* Fixed Absorb colour not always correct on Health setting
* Fixed commands not working on spell tab for non EN clients
* Fixed issues with switching to class profile on low level characters
v8.3.7.5
=================
* Improved auto caching frames
* Improved efficiency when changing spells on the spells tab
* Fixed option help text when using game tooltip
* Minor fixes to changes in the last version
v8.3.7.4
=================
* Introduced HealBot Plugins
* Improved option themes
* Improved CPU and Memory usage
* Minor fixes and improvements
v8.3.7.3
=================
* Improved Aggro monitor
* Improved Test Bars
* Added additional option themes
v8.3.7.2
=================
* Fixed toc for non English clients
v8.3.7.1
=================
* Preparation for Shadowlands (See website for beta download)
* Major update to Skins>Frames>Icons
* Minor fixes to Icon Text
* Improved Sticky Frames
* Added minimum time between warnings to Debuffs>Warnings tab
* Removed Strict Mode from the Debuffs>Custom tab, All Bosses are now always Bosses only
* Added All Timed to the Debuffs>Custom tab, All debuffs without a debuff type can now be displayed
* Minor fixes to custom debuffs
v8.3.7.0
=================
* Minor perfomance imporvements and fixes
* Updated Supporters
v8.3.0.23
=================
* Fixed Power Indicator
* Compressed menu options for Import / Export
* Added menu option Skins > Effects
* Moved Fluid Bars options to Skins > Effects
* Moved Aux Opacity Flash Effect options to Skins > Effects
* Added menu option Overrides with sub tabs Effects, Protection, Chat and Frames
* Overrides > Effects can be used instead of Skins > Effects
* Overrides > Protection can be used instead of Skins > Protection
* Overrides > Chat can be used instead of Skins > Chat
* Overrides > Frames can be used instead of frame options on the Skins > General tab
v8.3.0.22
=================
* Faster load time
* Minor text fix
* Improved Fluid Bars
* Added Extra Skins
* Updated Supporters
v8.3.0.21
=================
* Minor Improvements and Fixes
* Added Extra Skins
v8.3.0.20
=================
* Added tooltips option, Ignore GCD (Thanks to edusperoni on GitHub)
* Improved Fluid Bars
* Improved Range Checking
* Minor fix to Aux Bars
* Added Extra Skins
v8.3.0.19
=================
* Space not reserved for Ready Check icon when icons are placed off the bar and at least 1 debuff icon is shown
* Ignore short debuff duration reduced
* Added Lightning-Forged Augment Rune to buff monitor
* Added Extra Skins
v8.3.0.18
=================
* Fixed no space reserved when Show HoT icons is turned off and icons are placed off the bar
* Fixed no space reserved when Show debuff icons is turned off and icons are placed off the bar
* Space now reserved for Class/Target/Ready Check icons when icons are placed off the bar
* Slight correction to initial offset of 1st right side icon when icons are placed off the bar
v8.3.0.17
=================
* Improved Fluid Bars
* Additional integrity checks on imports
* Fixed missing Target and Focus header when entering combat
v8.3.0.16
=================
* Fixed tooltip error for certain class/spec combinations
* Fixed missing Target and Focus header
v8.3.0.15
=================
* Improved update check
* Corrected power type in tooltips
v8.3.0.14
=================
* Fix to Custom Buffs
* Non auto setting of Max Characters on Text tabs respected regardless of Health text anchor setting
* Custom Debuff with priority 15+ now checked after Automatic Debuffs
* Minor adjustments to some Extra Skins
v8.3.0.13
=================
* Minor adjustments to some Extra Skins
* Tooltip now always updates on various events
* Updated Supporters
v8.3.0.12
=================
* Revert change to auto target/trinket/blue cursor on the spells tab
* Updated auto trinket with a WARNING - some trinkets will not work
* Minor adjustments to some Extra Skins
v8.3.0.11
=================
* Fixed background size with Icons off the bar
* Added additional Extra Skins
* Fixed health colour name text not updating
* Tooltips now use #showtooltip in macros
* Updated Supporters
v8.3.0.10
=================
* Fluid bars fixed
* Aux bar fixes
* Added Extra Skins, additional skins can be imported using the import skin tab
v8.3.0.9
=================
* Improved update speed of certain events to near instant (still without consuming lots of CPU)
* Fixed auto text size when health text is anchored left or right of name text
* Removed aggro bars and energy bar
* Introduced Aux bars, can be configured to show threat, overheals, predicted heals, absorbs, energy and aggro
v8.3.0.8
=================
* Added option Health Text Anchor to Skins>Frames>Text>Health tab
* Fixed Incoming Heals showing black colour when Future Health is selected
v8.3.0.7
=================
* Bar Text split into Name and Health
* Extended Height and Width max size
* Added command '/hb tpl' (toggle private list) - Use in a macro with '/hb tpl hbtarget'
* Minor fixes
v8.3.0.6
=================
* Added Show Enemy Target (target of target or boss target)
* Changed label My Targets to Private List to avoid confusion
* Minor fixes and improvements
v8.3.0.5
=================
* Added Allow Duplicates option to the Skins>Frames>Heal Groups tab
* Minor fixes and improvements
v8.3.0.4
=================
* Fixed minor addon comms bug
* Updated Supporters
v8.3.0.3
=================
* Fixed Buffs>General showing item id instead of name for items that add buffs
* Disable custom debuffs can now be applied to all zones
* Disable custom buffs can now be applied to all zones
v8.3.0.2
=================
* Tooltip improvements
* Fluid Bars delay fixed
* Increased bar resolution by 10x for smoother Fluid Bars
* fastHealth improvements
v8.3.0.1
=================
* Fixed power bar colour caching bug
* Minor fix with select items dropdowns
* Minor fix with raid target on enemy bars
v8.3.0.0
=================
* Fixed default settings for General Debuffs
* Integrity check on spells when exporting
* Filter out duplicates from certain dropdowns
* Filter out HealBot crash protection names from select spells Macros dropdown
* Update to select spells Items dropdown
v8.2.5.10
=================
* Custom Debuffs can now be identified by Spell ID or Spell Name or Both
* Custom Buffs can now be identified by Spell ID or Spell Name or Both
v8.2.5.9
=================
* Debuff icons - debuffs cast by player on enemy bars now shown in same position as all other bar types
* Minor improvements to buff icons
* Minor fixes to custom debuffs
* Minor fixes to custom buffs
* Fixed aggro bar option move bar
* Fixed general buffs always shown on self
* Brought back HealBot fastHealth
* Tightened up Internal Timers to increase responsiveness of certain events
- 8.2.5.9 is still 5x more efficient than early 8.0.x versions
v8.2.5.8
=================
* Minor debuff monitor improvement
* Fixed nil error introduced in 8.2.5.7
v8.2.5.7 *** BEFORE UPDATING PLEASE READ THIS FORUM POST ***
=================
* Change to memory structure, see the forum to avoid settings reset
* Added version check Retail vs Classic
* Fixed aura events not updated on target and focus bar after frame update
* Fixed target bar not hidden after end of combat when no target selected
v8.2.5.6
=================
* Performance improvements
* Updated libs
* Minor fixes
* Class/Role icon persists through death
* Removed HealBot fastHealth, this is no longer required and wastes resources
* Fixes to the aura cache addition in 8.2.5.5
* Removed unused options of debuff tabs
* Updated Supporters
v8.2.5.5
=================
* Fixed OOR tag when out of phase
* Performance improvements
v8.2.5.4
=================
* Updated Supporters
* Updates to classic
* Minor bug fixes
* Fixed sort bug
v8.2.5.3
=================
* Updates to classic
* Improvements to Tooltips
* Optimised building the frames
v8.2.5.2
=================
* Replaced Named with My Friend in Buff/Debuff class dropdowns
* Added Set as/Unset My Friend in Healbot Menu
* Updates to classic
* Icons fade sooner
* Improved option Ignore aura events when resting
v8.2.5.1
=================
* Updated Supporters
* Updates to classic
* Options panel can be toggled in combat
v8.2.5.0
=================
* Optimised unit identification
* Fixed raid roles issue
v8.2.0.8
=================
* Improved unit tracking
* Updates to classic
v8.2.0.7
=================
* Aura events are ignore when player on a taxi
* Improved buff monitoring
v8.2.0.6
=================
* Updated Supporters
* Fixed Buffs>Custom All Classes category Cast By My Class bug
* Changes to Cast By on Buffs>Custom tab now checked immediately
* Changes to Cast By on Debuffs>Custom tab now checked immediately
* General none event Buff and Debuff checks are now much faster
* Added option to permanently set a player to My Targets
* Added option to permanently set a Private Tank
* Added option to permanently set a Private Healer
v8.2.0.5
=================
* Fixed sort error bug on custom buffs
v8.2.0.4
=================
* Added slash command /hb cs - Checks integrity of all skin variables
* Updates for Classic
* Remove invalid Custom Buffs
* Remove invalid Custom Debuffs
* Updated Supporters
v8.2.0.3
=================
* Updated Supporters
* Minor optimisations
* Fixed under certain conditions, spec change not updating spells/auras while in group/raid
* Fixed flyout spells not recognised as known spells, thanks to Slayybelle on the Healbot forum
* Will load in Classic and generally works solo
v8.2.0.2 *** On first logon with each character - CHECK THE SPELLS TAB ***
=================
* Updated Supporters
* Fixes to suppress sound/text in macros, short commands also available for all player macros, see the website>Help
* Added Emotes to Mouse Wheel Commands
* Fixed long lists in dropdowns Custom Buffs and Custom Debuffs from going off the screen
* Added OOM emote option to the Skins>Chat tab
* Added Exclude Self/Group/Raid from Target frame when out of combat option to Skins>Frames>Bars>Visibility tab
* Added Exclude Self/Group/Raid from Focus frame when out of combat option to Skins>Frames>Bars>Visibility tab
* Spells,Items and Commands on the Spells tab are now stored using ID's
* Fixed some sounds throwing invalid fileID error
* Updated libs
* Internal update changes to ensure all updates are done in a timely manner
v8.2.0.1
=================
* Updated Supporters
* Improved item info loading for debuff general tab
* Minor fix to tooltips
* Major fix to load timings that affects some users resulting in no spells on dropdowns
* Fix to Ignore aura events when resting and changed to ignore all events (Custom and General Buffs and Debuffs)
* General improvements to buff monitor
v8.2.0.0
=================
* Added options help tooltips for options on the Skins>Frames>General tab
* Added options help tooltips for options on the Skins>Frames>Heal Groups tab
* Added options help tooltips for options on the Skins>Frames>Headers>Bars tab
* Added options help tooltips for options on the Skins>Frames>Headers>Frames tab
* Updated default skins Standard and Group
* Replaced default skins Raid and Alterac Valley with Raid 25 and Raid 40
* Improvements to Sticky Frames
* Added Tooltip Font Size to Tips tab
* HealBot autoCombat only enters combat when the unit affecting combat is visible
* Fixed Bars Text Vertical Offset not updated when Apply current tab settings to all Frames is clicked
* Moved bar text fontstring down to ARTWORK layer, allows icons to be shown over the text
* Added options help tooltips for options on the Skins>Frames>Bars>General tab
* Added options help tooltips for options on the Skins>Frames>Bars>Colours tab
* Added options help tooltips for options on the Skins>Frames>Bars>Text tab
* Added options help tooltips for options on the Skins>Frames>Bars>Sort tab
* Added options help tooltips for options on the Skins>Frames>Bars>Visibility tab
* Added options help tooltips for options on the Skins>Frames>Bars>Aggro tab
* Added options help tooltips for options on the Skins>Frames>Icons>General tab
* Added options help tooltips for options on the Skins>Frames>Icons>Text tab
* Moved options help tooltips to display near the cursor position
* Added options help tooltips for options on the Debuffs>General tab
* Added options help tooltips for options on the Debuffs>Custom tab
* Added options help tooltips for options on the Debuffs>Warning tab
* Added options help tooltips for options on the Buffs>General tab
* Added options help tooltips for options on the Buffs>Custom tab
* Added options help tooltips for options on the Buffs>Warning tab
* Added options help tooltips for options on the Tips tab
* Added options help tooltips for options on the Mouse Wheel tab
* Added options help tooltips for options on the Test tab
* Added options help tooltips for options on the Import/Export>Skins tab
* Added options help tooltips for options on the Import/Export>Custom Debuffs tab
* Added options help tooltips for options on the Import/Export>Custom Buffs tab
* Added options help tooltips for options on the Import/Export>Spells tab
* Added options help tooltips for options on the Import/Export>Preset Colours tab
* Check for missing new 8.2 default skins and include if required
v8.1.5.16
=================
* Buff and Debuff icons now have independent scales
* Fixed Frame Header blocking clicks when hidden
* Increased range of Icon Text Size
* Added options help tooltips for options on the Skins>General tab
* Added options help tooltips for options on the Skins>Protection tab
* Added options help tooltips for options on the Skins>Chat tab
v8.1.5.15
=================
* Added Sticky Frames to Skins>General tab
* Added Sensitivity to Skins>General tab
* Moved Low Mana Indicator from Skins>General to Skins>Frames>Bars>General
* Added Sticky Frame Offsets to Skins>Frames>General tab
* Added options help tooltips for options on the General tab
* Added options help tooltips for options on the Spells tab
* Added options help tooltips for new Sticky Frames options in this version
* Added Font and Font Outline to Skins>Frames>Icons>Text tab
* Changed Icon Text Scale to Font Size on Skins>Frames>Icons>Text tab
v8.1.5.14
=================
* Added Import/Export>Preset Colours tab
* Added Own pet: with self to Skins>Frames>Bars>Sort tab
* Added Show mouse-wheel commands to Tips tab
* Improvements and fixes to tooltips
v8.1.5.13
=================
* Moved tab Skins>Frames>Headers to Skins>Frames>Headers>Bars
* Moved frame title options from Skin>Frames>General to Skins>Frames>Headers>Frames
* Added background bar options to Skins>Frames>Headers>Frames
* Added font offset to Skins>Frames>Headers>Bars
v8.1.5.12
=================
* Added Import/Export>Spells tab
* Added Vertical Offset to Skins>Frames>Bars>Text tab
v8.1.5.11
=================
* Added reset button to Buffs>Custom tab
* Reset button now also resets Automatic Spell ID correction
* Added Import/Export>Custom Buffs tab
* Improvements to Debuffs>Custom tab
* Improvements to Buffs>Custom tab
* Improvements to Import/Export
* Changed Shift-Ctrl-Alt+Left click to show Menu
* Changed Shift-Ctrl-Alt+Right click to show HealBot Menu
* Changed Shift-Ctrl-Alt+Middle click to toggle enabled
v8.1.5.10
=================
* Added Preset Colours frame, available via (*) buttons
* Fixed Spell select dropdown, Buff>General spell dropdown and Debuff>General spell dropdown
* Minor fixes and improvements
v8.1.5.9
=================
* Move Buffs>Icons tab to Buffs>Custom tab
* Added multiple options for custom buffs
* Added Buffs>Warning tab
* Improved auto spell id correction
v8.1.5.8
=================
* Fixed localization issue affecting non en clients
v8.1.5.7
=================
* Minor improvements to custom debuffs
* Added new tab Import / Export > Custom Debuffs
* Fixed Target Friendly bug
v8.1.5.6
=================
* Automatically update spell ID for custom debuffs and HoT/Buff Icons when the spell ID has changed
* New HoT/Buff Icons can now be added on the Buffs > Icons options tab
* HoT/Buff Icons can now be deleted on the Buffs > Icons options tab
v8.1.5.5
=================
* Fix for HoT/Buff icons not working with new install
v8.1.5.4
=================
* Spells and Auras switched to using ID's
* Custom Debuffs now using spell ID's, allows for multiple custom debuffs with the same name
* Fixed sort issue when using Headers or Use Groups per Column
v8.1.5.3
=================
* Fixed startup nil error bug
v8.1.5.2
=================
* Majority of Skin options can now be set per frame
* Moved Skins>Aggro to Skins>Frames>Bars>Aggro
* Moved Skins>Enemy to Skins>Frames>Bars>Visibility - Available when selecting the Enemy frame
* Moved Skins>Healing>Raid to Skins>Frames>Bars>Visibility
* Moved Skins>Healing>Hide to Skins>Frames>Bars>Visibility
* Moved Skins>Healing>Sort to Skins>Frames>Bars>Sort
* Moved Skins>Healing Alert options into Skins>Frames>Bars>Visibility
* Moved Skins>Healing Target options into Skins>Frames>Bars>Visibility - Available when selecting the Target frame
* Moved Skins>Healing Focus options into Skins>Frames>Bars>Visibility - Available when selecting the Focus frame
* Moved Skins>Frames>Bar Colours to Skins>Frames>Bars>Colours
* Moved Skins>Frames>Bar Text to Skins>Frames>Bars>Text
* Moved Skins>Frames>Icon Text to Skins>Frames>Icons>Text
* Moved Global Buff/HoT Icon options to Buffs>Icons
* Moved Skins>Share to Import/Export>Skins
* Fixed Always Enabled toggle
* Fixed checks on Target
* Added Shift+Ctrl+Alt+Click built in combos to tooltip
* Removed Blizzard Menu from Mousewheel, use "menu" on the spells tab instead
* Fixed taint issue when setting focus via menu on the spells tab
v8.1.5.1
=================
* Target Always Show changed to Always Show/No Change/Always Hide when entering combat
* Focus Always Show changed to Always Show/No Change/Always Hide when entering combat
* Added sort option to Skins>Healing tab - Sort out of range last
* Added Private Healers to Mouse Wheel commands - Thanks to GNotepad on the Healbot forum
v8.1.5.0
=================
* Auto switch skins when entering group/raid now much quicker
* Fixed Mage HoT's missing from options
v8.1.0.7
=================
* Fixed Enable autoCombat, when on Healbot will go into combat mode as soon as anyone in range has aggro
* Added Paladin icons Glimmer of Light, Blessing of Sanctuary and Blessing of Spellwarding
* Added Azerite Trait icon Bracing Chill
* Added Prient icon Permeating Glow

8.1.0.7 is approximately 2 times more efficient than 8.0.1.4:
- In groups 8.0.1.4 uses ~9ms per second CPU, this version uses ~4.5ms per second CPU
- In Raids 8.0.1.4 uses ~30ms per second CPU, this version uses ~13.5ms per second CPU
- See this forum post - for more information

v8.1.0.6
=================
* Minor improvements to health updates
* Player DoT's back on enemy bars
* Removed false debuffs shown in tooltip for icons such are class/role icon
* Fixed Headers not always shown over Vehicle, Pet, Target, Focus and Enemy frames
* Minor improvements to talent query
v8.1.0.5
=================
* Shadow-Touched added as high priority debuff but only show icon
* Fixed bars not updating when using fluid option (8.1.0.4 bug)
v8.1.0.4
=================
* A number of performance improvements to reduce overall CPU usage
* Fixed icon not fading after changes in 8.1.0.3 - Improved fading effect
* Added Items to Buff Tailwind Sapphire and Amethyst of the Shadow King
* Added all debuff icons displayed to tooltip
v8.1.0.3
=================
* Fixed protected call issue when focus unit no longer exists which in combat
* Fixed protected call issue with summon mounts/pets using mouse wheel function while in combat
* Added Mage spells Blazing Barrier, Prismatic Barrier, Arcane Power and Slow Fall to icon watch list
* Complete rewrite of handling icons
- Buff icons reduced from 14 to 10
- Debuff icons increased from 1 to 5
- Maximum number of buff and debuff icons can now be set in options
* Added Battle-Scarred Augmentation to monitored buffs
* Added Command on General tab to reset icons (resets skin related settings and monitored HoTs/Buffs)
v8.1.0.2
=================
* Added entry to Game Options>Interface>Addons
* Fast soft reset after combat when player(s) leave/join while in combat
* Fast soft reset after zoning in
* Minor improvements to incoming heals and absorbs
* Added options to Incoming Heals dropdown on Bar Text tab. Always show even when health is 100%
v8.1.0.1
=================
* Additional check for pets at start and end of combat
* Updated sound suppression with trinket usage
v8.1.0.0
=================
* Improved efficiency of Auto Open/Auto Close
* TOC update
v8.0.1.14
=================
* Fixed health text occasionally doesn't update when player has buff/debuff
* Updated skin check function used by skin imports (share skins) and version changes
* Fixed low mana indicator occasionally displayed when off in options
* Fixed auto open not triggered when entering combat
v8.0.1.13
=================
* Added Max Characters to the Skins>Frames>Bar text tab - Note: this only applies to text before health and aggro
* Added target bar to test bars
* Vehicle group can now be place in a top 5 frame or kept in own frame - Note: keeping in own frame is best for performance
* Pet group can now be place in a top 5 frame or kept in own frame - Note: keeping in own frame is best for performance
* Updated Share Skins
* Added Holy Ward to spells dropdown and icons to monitor
* Optimised setting tanks and healers in heal groups
* Minor improvements to tags and range checking
* Fixed power bar opacity not matching health bar opacity
* Fixed power bar colours
v8.0.1.12
=================
* Toggle show all boss debuffs - Added All Boss and Strict Mode to the Cure>Custom tab
* Absorbs and HealsIn only show on enabled bars
* Possible fix for disc priests range check issue
* Fix for new users not able to change skins
* Fix for flickering bar when using Fluid Bars and unit is dead
v8.0.1.11
=================
* Added more tags for Out Of Range [ OOR ] and Reserved [ R ]
* Added option to edit tags on the Skins>Frames>Bar Text tab
* Improvement to range checking
* Fixed issue with SubSort
* Added Grove Tending to the icon monitor
v8.0.1.10 *** Please read Important changes in 8.0.1.10 before updating ***
=================
* Major performance improvements with significant changes to Heal Groups and Frames
- Vehicle group is now locked to frame 6
- Pets group is now locked to frame 7
- Target group is now locked to frame 8
- Focus group is now locked to frame 9
- Enemy group is now locked to frame 10
- Frames 1 to 5 remain free to use for all other Heal Groups
* Fixed debuff out of range issue in 8.0.1.9
* Combat protection now defaults to group or raid size
* Fixed Lighting Shield using old spell id
* Added usable equipped items to the spells selectable items list
* A number of minor improvements to major changes of 8.0.1.9
* Custom Debuffs now always override boss and All [type] debuffs
* Added spell Holy Word: Salvation to select spells list
* Added spell Surging Mist to select spells list
v8.0.1.9
=================
* Optimised passive checks
* Fixed issues with auto-hide frames
* Fixed always show issues
* Added Overwhelming Power to Ignore Non-Harmful Debuffs
* Fixed aggro monitor not working in 8.0.1.8
* Updated class icons
v8.0.1.8
=================
* Level check on Mouse Wheel random mount
* Reduce variable usage with Fluid Bars
* Reduce variable usage with correcting pet health
* Updated spell cooldown on tooltip
v8.0.1.7
=================
* Fixed tank grouping issue in raids (8.0.1.6 bug)
* Minor performance improvements
v8.0.1.6
=================
* Fixed Always show debuff types on Cure>Custom tab (8.0.1.5 bug)
* Added Opacity: Fade on expire option on Skins>Frames>Icons tab
* Skins will not auto change to default up to 5 minutes after a manual change, unless there is a switch in solo, group, raid, etc...
* Minor bug fixes
* Added Random Favourite Mount and Random Favourite Pet to Mouse Wheel Commands
* Improvements to aggro monitor and debuff monitor
v8.0.1.5
=================
* Only refresh aggro indicators on change
* Only refresh power indicators on change
* Only refresh low mana indicators on change
* Updated libraries
* Updated command line options
* Added warning when setting bar text colours and Colour text by class is on
* Improvements to debuffs
v8.0.1.4
=================
* Skins can now have multiple defaults
* Fixed major bug in skin sharing
* Removed Usage tab, would need complete rewrite and not really needed
v8.0.1.3
=================
* Code improvements and optimizations
* Fixed buff/debuff watch when watching for specific units such as main tanks
* Minor tooltip improvement
v8.0.1.2
=================
* Added Earth Shield to watch HoTs (Turn on at the bottom of the Skins>Icons tab)
* Added Shining Force
* Fixed mana cost in tooltip
* Updated power word shield, removed weakened soul checks
v8.0.1.1
=================
* Merged final 7.3.5.0 updates
* Updated UnitMana and UnitManaMax
* Commented out map functions
v8.0.1.0
=================
* Initial 8.0.1
* TOC Update
v7.3.5.1
=================
* Protect custom debuff defaults
* Update character races
v7.3.5.0
=================
* Added Paladin's Light's Grace to buff watch (show icon)
* Changes for Highmountain Tauren and Void Elf
* Added Shattered Defenses to ignore non-harmful debuffs
* Major change to HealBot fastHealth - slight compromise on speed to ensure accuracy
* Fixed trinket used automaticall on ememy bars
* TOC Update
v7.3.2.0
=================
* A number of changes from Spankyham
* Possible fix for rare nil error on party/raid change
* TOC Update
v7.3.0.0
=================
* UI Sound fix
* TOC Update
v7.2.5.0
=================
* Added the following changes by Acirac:
* Added Repurposed Fel Focuser item to monitored buffs
* Added Delicious Cake! to icon tracking
* Added Guiding Hand to icon tracking
* Added Fruitful Machinations to icon tracking
* Added Ocean's Embrace to icon tracking
* Overhauled show icon tracking and fixed self cast monitoring issue
* Added the following changes by Aria:
* Added Sacred Dawn icon tracking
* Added Concordance of the Legionfall icon tracking
* Added Spirit of Redemption icon tracking
* Added Focused Growth icon tracking
* Updated the spell id for Rammal's Ulterior Motive
v7.2.0.1
=================
* Added a number of auras to watch
* Added Paladin harmful spell Shield of the Righteous
v7.2.0.0
=================
* TOC Update
* Libraries updated
v7.1.0.2
=================
* Added more HoT's to track
* Fix nil error for Target option on Spells tab, when unit does not exist
* Updates via git from Acirac
v7.1.0.1
=================
* Added more HoT's to track
* Returned Avoid Blue Cursor - Required after all
v7.1.0.0
=================
* Wait on All Variables Loaded before getting spell/item info with API - avoid failure on early calls with some spells/items
* Added more spells, buffs and debuffs
* Harmful spells on Enemy targets now ignore Trinket settings - breaks Healbot
* Removed Avoid Blue Cursor - No longer required
* nil Health (arg1) fix
v7.0.3.1
=================
* Fixed button labels not showing in options on the Skins>Healing tab
* Fixed Toggle Dislike Mount command
* Added a number of spells, buffs and debuffs
v7.0.3.0
=================
* Update to Spanish localizations to include Mexican (esMX)
* Added Demon Hunter class - ready for Legion
* Error speech fix with trinkets - Changed Sound_EnableSFX to Sound_EnableErrorSpeech
* Merged Spankyham changes into git
* A number of v7.0.3 fixes
v6.2.3.0
=================
* Fixed buff check code incorrectly using player buffs instead of unit's - Thanks to Acirac
v6.2.2.1
=================
* Added Monks Extended Life icon
* Updated Russian localizations
v6.2.2.0 - Thanks to Acirac
=================
* Cleaned up HealBot_Global.lua and sorted entries alphabetically for easier updates
* Rewrote buff swap code to support all alternate buffs based on buff type (stats, stamina, attack power, spell power, mastery, haste, critical strike, multistrike, and versatility) - Buffs now have their types defined, for example Mark of The Wild is defined as being Stats and Versatility, if either one of those buff types is not cast by another player then mark of the wild will show as missing
* Added "Adjust unit max health" option to support adjusting health bar based on any aura modifiers (Supports Tyrant Velhari debuff)
* Added Lone Wolf buffs to Hunter buff list
* Added Levitate to Priest buff list
* Added GET_ITEM_INFO_RECEIVED event to make sure item info is retrieved
* Fixed HealBot_Buff_ItemID only working for ever blooming frond
* Fixed Crash Protection checkbox not reenabling after macros slots are freed
* Added option to use general macros for Crash Protection
* Fixed corrupted Sound_EnableSFX variable - Thanks to vampik on GitHub
v6.2.0.2
=================
* Players in phase now shown as out of range - Thanks to Acirac
* Fix with ignoring required buffs when similar class buff present, specifically warriors and death knights - Thanks to Acirac
v6.2.0.1
=================
* Increased internal timers
* Additional check to show directional arrow
* castby dropdown fixes with enhancement - Thanks to Acirac
* Fix for custom debuffs not always showing - Thanks to Acirac
v6.2.0.0
=================
* Minor performance improvement when creating/updating frames
* Increased max size of bars background outline
* TOC updates
v6.1.2.1
=================
* Option added to Commands dropdown on General tab: Toggle Custom Cures - Default Cast By
v6.1.2.0 - Important: If you have set Cast By for some debuffs on the Cures>Custom tab. Please check the settings.
=================
* Fixed Paladin Healer and DPS Seals for 6.1
* Added Skins>Frames option: Bar Orientation
* A number of shaman debuff fixed by Acirac
* Change to Custom>Cures: Cast By now defaults to Enemy, previously was Everyone
* Localization Updates
v6.1.0.0
=================
* Updated Paladin Seals for 6.1
* Improved options displaying bars - Thanks to Acirac
* Ever-Blooming Frond no longer shows as needed when in raids
* Updated TOCs
v6.0.3.10
=================
* Fixed Spec not tracked when healbot is disabled, check spec on wake up
* Fixed map is reset to the current zone every time the zone changes - Thanks to xilcoy
v6.0.3.9
=================
* Fixed Holy Word: Serenity not working with additional Trinkets/Target/Avoid Blue Cursor options
v6.0.3.8
=================
* Added Direction Arrow for dead players who have not released
* Keep res indicator green (name) for n seconds after res now consistent for all spells including mass res. Set using "/hb rld"
* Minor improvements with debuff monitor
* Improved performance of Buffs, Debuffs, Range Checking, Enemy Bars updating and Aggro Monitoring by up to 25% at the expense of a little CPU
v6.0.3.7
=================
* Removed a lot of old migration and update code
* Update to focus frame when always show turned on
* Update to Chakra Spells, when changing stance frame attributes are now updated
-- If updating from version (pre 6.0.2.0), first update to 6.0.3.6 to avoid reset
v6.0.3.6
=================
* Fixed: setting "Pet Battle" in "Skin Default for" dropdown doesn't always change, also switch out of this default faster in case of combat
* Added options to show incoming heals and absorbs on the Skins>Bar Text tab
* Added Oralius' Whispering Crystal to buff monitor
* Added Ever-Blooming Frond to buff monitor
* Added slash command "/hb manabloom n" where n is a number between 1 and 99. Set Ever-Blooming Frond to show when mana below n
* Added slash command "/hb healthbloom n" where n is a number between 1 and 99. Set Ever-Blooming Frond to show when health below n
* Buff defaults include the above additions when the items are usable on the character
* Improved identifying usable items. even when they are on cooldown
* Status change on the bars is more responsive when entering or leaving combat
v6.0.3.5 Recommend: "Reset Custom Debuffs" using commands dropdown on the options General tab
=================
* Updates to Debuffs thanks to Spankyham
* Performance improvements when changing Zones
v6.0.3.4
=================
* Fixed: Possible issue with debuffs missing certain types when changing to healing spec
v6.0.3.3
=================
* Fixed: Inspect player not working after update to 6.0.3.2
* Appropriate Priest Holy Word spell now shows up in tooltips and spells select (?) when Chakra buffed
* Fixed: Show buff before it expires not working
v6.0.3.2
=================
* Removed out of date libTalentQuery - reverted to original API calls
* Number of minor performance improvements
* Dislike/Exclude mount commands fixed
* Validate faction when initializing available mounts
* Mana cost returns to the tooltips
* Added Arena Opponents to Skins>Enemy options
* Fixed character based macros show up in spell selection helper frame (?)
* Number of minor fixes
v6.0.3.1
=================
* Updates to Debuffs thanks to Spankyham
* Fixed Monks power indicators not correctly positioned when Max is 5
* Added "Pet Battle" to "Skin Default for" dropdown on the Skins>General tab
v6.0.3.0
=================
* Updates to Debuffs thanks to Spankyham
* Fixed buffs/debuffs not working on Main Tanks
* Fixed Range Checking issues
* Updated libraries
v6.0.2.2
=================
* Updates to Buff and Debuffs thanks to Spankyham
* Updated Russian localizations
* Fixed Minimap not working
* Minor fixes related to 6.0.2 API changes
* Updated checking for known spells, avoid issues with non En clients
* Fixed a rare nasty bug that can happen on logon when a skin has been previously deleted on a different character
* Settings automatically defaulted when updating from a version older than 5.0.x
-- If updating from a very old version, first update to 6.0.2.1 to avoid reset
v6.0.2.1
=================
* Updates to Buff and Debuffs thanks to Spankyham
* Fixed a number of spells not appearing due to changes in spellId's - Thanks Spankyham
* Fixed issue with Russian and Greek localizations
* Fixed Disable Healbot not working
* Fixed Toggle mount on mouse wheel not working
* Fixed Auto Target and Trinkets not working on Spells tab
v6.0.2.0
=================
* WoD Ready
v5.4.8.5
=================
* Significant update to prepare for WoD
* Updated Russian localizations
v5.4.8.4
=================
* Fix for 5.4.8.3 where healbot can start in a disabled state on first load
v5.4.8.3
=================
* Embedded and used LDB and LDBIcon libraries, this replaces very old minimap code and Titan_HealBot.
- This means there is no longer a need for separate Titan_HealBot or any other LDB addons designed for HealBot.
v5.4.8.2
=================
* Added Greek localizations - Thanks to Snaomi - If on an en client, check out the addon GrFont for displaying the Greek character set
* Updated Italian localizations
* Updated libraries
* Added 10 additional freeware/public domain fonts
v5.4.8.1
=================
* Major German Localization update - Thanks to Snaomi
* Added option Only on Mouse Over to Skins>Frames>Icons, this option is used with the Show Out of Range Direction arrow
v5.4.8.0
=================
* While in combat and player has been Charmed or under Mind Control ect, if cure>Debuff option "Ignore if caster is Friend" is used then check all debuffs when player gains control
* Added direction arrow for players needing heal out of range. To turn off, go to options Skins>Frames>Icon tab
* Update to resurrection indicator to include mass resurrection
* Localization update
v5.4.7.3
=================
* Minor fix to check self buffs on load
* A number of performance improvements
* Improvements with resurrection indicator
* Improvements with Entering/Leaving combat when using Auto Combat
* UnitName switched to UnitFullName, avoid possible issue with x-realm players
* Added option Customise Name to Healbot Menu ("hbmenu" spell command), set custom names on bars
* Added option Enable UTF8 library to Skins>Frames>Bar Text
- Enable UTF8 NOTE: This is a global option, not a skin option
- Enable UTF8 NOTE: If you only play on an English or some Western European servers - Turn this off for a slight performance improvement
v5.4.7.2
=================
* Fix Shaman issue introduced in 5.4.7.1
v5.4.7.1 Recommend: "Reset Custom Debuffs" using commands dropdown on the options General tab
=================
* Localization update
* Now possible to bind hostile spells on all bars
* Improvement with custom debuffs when altering priority on a pre defined custom debuff
* Default custom debuff categories updated by Spankyham
v5.4.7.0
=================
* Added Enable HealBot autoCombat option on the General tab
* Fixed bars remain with "unknown" when leaving a group/raid while in combat
* Minor bug fix with reset focus on target
v5.4.2.1
=================
* Added Seal of Justice buff for Retribution Paladin's
* Added Trap Launcher buff for Hunters
* Default custom debuff categories updated by Spankyham
* Healbot now enters combat mode as soon as any visible unit in the group/raid enters combat with aggro
* Healbot auto combat mode disabled in battlegrounds and arenas
* Minor tooltip updates
* Added html doc in doc folder about 2Moons real time space strategy game
v5.4.2.0 Recommend: "Reset Custom Debuffs" using commands dropdown on the options General tab
=================
* Fixed highlight targeted unit on bar - option on Skins>Aggro
* Minor fix to random mount on mouse wheel
* Added Group to tooltip, uses same location as threat and only shown when in a raid and unit has no threat
* Default custom debuff categories updated by Spankyham
* Change of functionality with Bar Colour option on Cures>Custom tab, the option now switches on/off the bar colour for custom debuffs and default custom debuffs
- Previously this option didn't affect custom default colours, it was designed to allow custom colours to switch between a custom colour and a default custom colour
* Fixed Enemy bar occasionally shows incoming heal when previous target was friendly with incoming heal
* Fixed Enemy bars don't show in test bars under certain conditions
* Priest's Hymn of Hope buff now only shown when mana below 50%, to change the value use "/hb shhp n" so to set 75% "/hb shhp 75"
* Healbot now enters combat mode as soon as any unit in the group/raid enters combat with aggro, instead of when the player enter combat
* Fixed Enemy bars don't show on first combat encounter after zoning in/out of an instance or ui reload
* An optional way to hide Blizzard Raid Frames is available that simply disables the Blizzard addons Blizzard_CompactRaidFrames and Blizzard_CUFProfiles, to toggle between methods use "/hb hrfm"
* "Reload UI required" message with certain options now gives more information
v5.4.0.6
=================
* All non en Localizations updated for changes in 5.4.0.5
* Fixed minor issue with bar text, seperate incoming heal sometimes appened K when its the value has not been devided by 1000
v5.4.0.5 Recommend: "Reset Custom Debuffs" using commands dropdown on the options General tab
=================
* More custom Debuffs added for 5.4 boss fights - Thanks to Spankyham on HealBot site for all work done for this
* New default custom debuffs category Important Debuffs (Priority 9) added
* Each of the 4 Custom debuffs categories can be deleted the traditional way using commands on the General tab or now directly on the Cures>Custom tab
* Minor improvements on the Cures>Custom tab
* Added "Auto" to the Bar Text format, automatically shortens numeric values and sets number of decimal points depending on the value
* Possible fix for spells not updating after spec change (Although this works for me and unable to replicate the reported issue)
* Fix for health value displayed when using deltas
* Heal groups Tanks, Healers and Pets are now included in the Raid groups mask as set on the Skins>Healing>Raid sub tab
* Fix for icons disapear when using certain totems
* Fix for Bottom Bar anchors when using Headers
v5.4.0.4
=================
* In boss fights show at least 3 boss bars in Siege of Orgrimmar when Enemy Group used
* Added Enemy bars to test bars
* Performance improvements to Test bars and general improvements to Test bars Party profile
* Default custom debuffs categories can now have colours set per category and priority set per category
* Improvements and fixes to custom debuffs categories
* Custom Debuffs cleaned up for 5.x boss fights - Thanks to Spankyham on HealBot site for all work done for this
* Health on unit frames over 1 Million, now show 1M instead of 1000K providing Bar Text is set to show K
* Added Healing Stream Totem as a HoT icon
* Localizations updated
* Improved Shaman range checking for non restro Shamans
* Improved rounding of health in tooltips
* Improvements to fastHealth
v5.4.0.3
=================
* Enemy Group now shows unit frames when unit is friendly, Convenient for fights like Norushen
* Minor improvements to unit frame updates when still in combat and a unit no longer exists
* Minor improvements to unit frames belonging to the Enemy Group
* More custom Debuffs added for 5.4 boss fights - Thanks to Spankyham on HealBot site for all work done for this
* Default custom debuffs split into categories Damage Debuffs (Priority 10), Effect Debuffs (Priority 11) and Misc. Debuffs (Priority 12)
* Updated libraries
v5.4.0.2
=================
* Improvements to Workaround for sliders not stepping correctly in WoW 5.4
* Page step attribute set for sliders, clicking on the sliders bar will now increment the value appropriate to the Min/Max slider values
* More custom Debuffs added for 5.4 boss fights - Thanks to Spankyham on HealBot site for all work done for this
* Fix for rare bug when joining a raid with headers used
v5.4.0.1
=================
* Workaround for sliders not stepping correctly in WoW 5.4
v5.4.0.0 Recommend: "Reset Custom Debuffs" using commands dropdown on the options General tab
=================
* Number of additions to tracked Shaman buffs and a few deletions
* Boss unit id's included as Raid when units are friendly
* Additional check and exclusions for boss units from enemy frame when friendly
* Enable mouse wheel only set out of combat, turn ON the option no longer requires UI reload
* Custom Debuffs added for 5.4 boss fights - Thanks to Spankyham on HealBot site for all work done for this
* Fix for Renewing Mist Icon issue on Portuguese (ptBR) client, should now show Brumas da RenovaÃ§Ã£o for buff only
* TOC's updated
v5.3.0.9
=================
* Fixed a number of localization issues in Healbot option tabs
* Updated Chinese localizations
* Updated Taiwanese localizations
* Minor performance improvement
v5.3.0.8
=================
* Added option on General tab: Profile for Spells/Buffs/Cures, can be set to Character or Class
* Added option on Skins>Healing tab: Target: Only show Friendly
* Added option on Skins>Healing tab: Focus: Only show Friendly
* Change to Alert Level on Skins>Healing tab, can now be set for In Combat and Out of Combat
* Fix taint cause when frames manually moved while in combat
* Shaman debuffs spells should now show in all specs
v5.3.0.7
=================
* Fixed a minor issue that was generating messages in the FrameXML file
* Improved update notice with TitanHealBot
* Fixes to Private Tanks and My Targets
* Improved handling of data when updating from older version of Healbot
* Fix to target health not correct when first targeted
* Fix to border size larger than expected with some settings
* Target and Focus now show Friendly and Hostile units
* Fixed wrong OOR opacity on bars showing debuffs
v5.3.0.6
=================
* Improved reduction of duplicate data sent in Share Skins
* Minor fix with per character Default Skin settings
* Fix for nil spells causing failed load when switching characters
* Aggro indicators on enemy bars no longer shown
* Low mana indicators on enemy bars no longer shown
v5.3.0.5 Note: If your Healbot frame is normally in the bottom left corner, you may need to reposition the frame
=================
* Power bar on Enemy bars now used as Cast Bar, power information such as Mana can still be seen in the tooltip
* Anchors now set to a Percentage instead of absolute pixel location, means moving between resolutions will be much easier
* Skin data truncated where possible, reduces memory and makes sharing skins easier
* Share Skin improvements
v5.3.0.4
=================
* Added Skins>Enemy tab with options to show Enemy bars
* Added 3rd option "Enemy bars at all times" to Set Spells For on Spells tab
* Select spells frame updated to include harmful spells
* Fixed nil error when incorrect case used with Spell Name text
* Share Skins externally is now done without the need to open WTF files and no need to logout or reload UI
* Sharing Skins externally no longer takes a screenshot automatically
* Fixed all frames updated when changing settings in 1 frame, this only happened after a skin load when all frames for a tab were identical
* Fixed group header appears in 2 frames issue when Group and Raid are used in separate frames with Headers turned on
* Improved health and mana display in tooltips
* Shaman Purify Spirit now shows when Restoration active
v5.3.0.3
=================
* Added Alias option for Frames on the Skins>Frames tab, the alias will show instead of the frame number in the frame dropdown.
* Moved Frame dropdown to above the sub tab, now shows for all relevant tabs.
* Weakened Soul always shown when Power Word Shield expires
* Showing + for Power Word Shield while active is possible by using the switch "/hb pws"
* Minor improvements to Test Bars
* Fixed debuffs not showing when "All debuffType" used on Cure>Custom tab
* Fixed nil error with debuffs when filtered by caster
* Header settings can now applies to individual frames
* Bars settings can now applies to individual frames
* Bar Colour settings can now applies to individual frames
* Bar Text settings can now applies to individual frames
* Icons settings can now applies to individual frames
* Icon Text settings can now applies to individual frames
* Added Button Apply current tab settings to all Frames
* Added Profile dropdown to test bars tab, profile options are Party, Raid 10, Raid 25 or Raid 40
* Complete rewrite of Skin Sharing code
* Defaults no longer reset spells, to reset spells run the command on the General tab
* Updates to Class and Role icons
* Improvements to fastHealth, retains the fast while limiting the load (cpu usage/effect on FPS)
* fastHealth automatically turned off in ToT when a player has Crystal Shell
* Set Class/Role on bar switch now immediate
* Minor bug fixes and improvements
* Skin Resets on logon with a character not used since v5.1.x of HealBot removed
* Fixed new skin settings affect the skin that was current when new skin created
v5.3.0.2
=================
* Fixed HoT icon occasionally showing on wrong side
* Fixed HoT icon skipping 1st position when debuff icon active
* Improved priority checking of debuffs
* Power word shield now shows Weakened Soul when present
* Fixed Healbot white focus bar to display in correct frame
* Fixed flickering debuff icon
* Improved aggro monitoring
* Disabled Healbot fastHealth in Heroic Throne of Thunder, see if this fixes incorrect health with Crystal Shell
v5.3.0.1
=================
* Fix for nil value issues
* Fix for Debuff icon not immediately removed when Debuff spell on CD and ignore debuffs when spell on CD is active
* Tuned up timer changes made in 5.3.0.0
v5.3.0.0
=================
* Major stability update, changes to the tracking of units and GUIDs, as Blizzard's SecureButtonTemplates only binds to units, GUID's are significantly less used in this version
* The stability update has included a number of bug fixes and performance improvements
* Added new options tab Skins>Frames
* Added option Grow Direction on Skins>Frames tab, control if bars grow vertically or horizontally away from the anchors
* Frame Scale option moved to Skins>Frames tab, now applies to individual frames
* Frame Anchor option moved to Skins>Frames tab, now applies to individual frames
* Bars Anchor option moved to Skins>Frames tab, now applies to individual frames
* Frame Locked option moved to Skins>Frames tab, now applies to individual frames
* Auto Close option moved to Skins>Frames tab, now applies to individual frames
* Play Sound on Open option moved to Skins>Frames tab, now applies to individual frames
* Tooltip Position option moved to Skins>Frames tab, now applies to individual frames
* Background and Border colour setting bars moved to Skins>Frames tab, now applies to individual frames
* Added button Assign Heal Groups on Skins>Frames tab on open Skins>Healing tab
* Added button Tooltip Position on Tips tab on open Skins>Frames tab
* Added options Frame Title and Show Title on Skins>Frames tab, ability to name frames
* Added font options for Frame Title on Skins>Frames tab
* Fixes to name changes in combat and raid icons
* Anyone updating from a pre 5.2.0.0 version will have all settings reset.
* Reset Skins now prompts for a UI Reload
* Update Range/Aggro/Aura frequency, this setting now affects all healbot timers, default settings should be suitable for all clients with playable FPS.
* Significantly reduced memory overhead of HealBot_MountsPets, addon consolidated back into HealBot
* Improvements to dislike mount option when random Mounts or Pets are used with MouseWheel options
* Added command to exclude mounts when random Mounts or Pets are used with MouseWheel options. Commands are on the General tab
* Added Hide Mini Boss Frames option to Skins>General
* TOC's updated
v5.2.0.6
=================
* Default for most skins now only use 1 frame, options to use additional frames are under Skin>Healing
* Fixed nil error when tooltips not used
* Fixed nil error when crash protection used
v5.2.0.5
=================
* Added option to show Healing Groups in different frames
* Another fix for non English clients
* Change to update checker, anyone updating from a pre 5.1.0.0 version will have all settings reset.
* Fixed rare bug where buffs/icons don't update until next aura event
* Performance improvements and bug fixes
v5.2.0.4 Note: This version resets Healing Groups
=================
* Option to keep static (Class/Role/Raid) Icons visible, see Skins>Icons tab
* Major fix for non English clients
v5.2.0.3 Note: This version resets Healing Groups
=================
* Custom order of Healing Groups can now be set, see Skins>Healing options
* Focus is now contained in it's own Healing Group, similar to Target
* Minor improvement to texture on Cure>Warning tab
* Minor bug fix to contents in Options
* Minor performance improvement to contents in Options
v5.2.0.2
=================
* Removed Main Assist from Skins>Healing tab, Off Tanks now grouped with Main Tanks
* Added Healers to Skins>Healing tab
* Fixed Background bar to include power bar
* Added Outline option to Background bar on the Skins>Bars tab
* Minor fixes to bar positioning
* Healbot Tooltip, moved away from Blizzard tooltip background texture, 100% Opacity is now 100%
* Updated libraries
v5.2.0.1
=================
* Improvements to Absorption, custom colours
* Monitor for missing buffs: Priest's Fortitude ignored when Warrior's Commanding Shout or Warlock's Dark Intent is buffed
* Monitor for missing buffs: Warrior's Commanding Shout ignored when Priest's Fortitude or Warlock's Dark Intent is buffed
* Monitor for missing buffs: Warlock's Dark Intent ignored when Warrior's Commanding Shout or Priest's Fortitude is buffed
v5.2.0.0
=================
* toc files updated
* Changes to options frame, improved use of space
* Absorption can be shown in a similar way to in coming heals, see options Skins>Bars for settings
* Minor performance improvements
v5.1.0.7
=================
* Change to identify known spells, far less hard coded dependencies
* Spell option Avoid Blue Cursor now uses slot 4 to avoid conflict with engineers
* Added Death Knight Shroud of Purgatory buff to the skins>icon options
* Added Mage buff Ice Ward
* A number of changes in preparation for 5.2 and showing absorption in a similar way to in coming heals
v5.1.0.6
=================
* Fixed HealBot_Action_RefreshTooltip bug
* Improved tooltips GREEN for Usable, RED for Not Usable and YELLOW for Macro's. Not Usable can be when a spell is on CD or player out of range
v5.1.0.5
=================
* Another fix for Legacy of the Emperor not identified when MotW or BoK is missing
* Fix for identifying roles in LFR
* Added additional damage reduction buffs to the icon tracker
* Moved Skin delete button away from skin select dropdown, to avoid accidental deletion
* Fixed incorrect background bar colour when using custom colours for health bar and background bar
* Speed up internal timers
* Protect against abnormal FPS readings (such as UI in background) that can affect HealBots internal timers
v5.1.0.4
=================
* Update to Chinese localizations
* Number of localization fixes to static popup boxes
v5.1.0.3
=================
* Added Italian localizations, Maintained by Brezza
* Fixed: under certain conditions with buffs monitor off, bars show missing buffs after zone change
* Added Monitor buffs "Only when in a Group or Raid" on buffs tab
* Added Monitor debuffs "Only when in a Group or Raid" on cures tab
* Fixed Random Pets on Mouse Wheel
* Fixed Legacy of the Emperor not identified when MotW or BoK is missing, showed missing buff when not required
* Fixed a number of spells to only show on correct spec
* Fixed layout of bars in multiple columns, but when using bottom anchors
* Improved icon text update frequency when frame rate above 30FPS
* Added additional tank buffs to icon buff tracker
v5.1.0.2
=================
* Major update to Chinese localizations, now maintained by Ydzzs
* Number of localization fixes in option tabs
* If chat set to Party or Raid while in an Instance, messages sent to Instance Chat
v5.1.0.1
=================
* Separated Mouse Wheel "Random Mount/Pet" function into a load on demand addon (HealBot_MountsPets)
* Addon load fail popup box is now only shown once per addon per Healbot version, it will still message in chat
* Added Portuguese (Brazil) localizations - Maintained by aldetal
* Added Hungarian localizations - Maintained by Von - Hungarian is the first unsupported by WoW localization to be added!
* Separated Tooltips function into a load on demand addon (HealBot_Tips)
* Included all localizations in the main zipfile
* Fixed a number of sliders not displaying correctly on load and when changes localization
* Improved options layout to accommodate different localizations
* Updated Libraries
v5.1.0.0
=================
* Added Holy Word: Serenity to HoT tracker
* Added a number of missing mounts - Thanks to daddyweight for reporting
* Added Language option to General tab, gives the ability to use alternative language in the options frames
* Legacy of the White Tiger ignored when Arcane Brilliance or Dalaran Brilliance present
* Localizations separated into load on demand addons
v5.0.5.7
=================
* Add Skin Author to skins, for possible future use with an offline skin sharing repository
* Added "Avoid Blue Cursor option to spells tab". Disabled by default, turn it on for spells that give a troublesome Blue Cursor
* Buffs no longer tracked on pets
* Fixed Share Skins with others
* Possible race condition fix to debuff names
* Fixed rare nil error with aggro threat percent
* Fixed a number of dropdowns showing two selections
v5.0.5.6
=================
* Major localization update for French users - Thanks to Kubik on HealBot's main site.
-- Si vous Ãªtes franÃ§ais et que vous utilisez les debuffs personnalisÃ©s, vous pouvez les rÃ©initialiser en utilisant la commande correspondante dans le menu dÃ©roulant dans l'onglet gÃ©nÃ©ral
* Improvements to Custom Debuffs and Cureable Debuffs
* Bug fix for notifications when set to raid, thanks to Acirac
v5.0.5.5
=================
* Added option to Skins>Bars tab - Health Bar Background Colour
* Added option to Cures>Custom tab - Filter on debuff caster
* Added option to Cures>Debuff tab - Ignore when caster is known as friend
-- Note: To know the caster, he/she has to be part of your party/raid. Unknowns are treated as Enemies
* Change to spell validation, spells are now set before macros (as 5.0.5.3)
* Reduced number of monitored buffs from 10 to 8, for years there is no need for so many in WoW
* Added monk class to 'classic' roles on the General tab
* Updated options frame - final ui affecting taints removed
-- Decided not to use Blizzard Addon option frame, it taints the ui massively
* Added Options>About tab
* Added Options>Mouse Wheel tab
* Added Options>Usage tab
* Deleted Options>Other tab
* Deleted Info button and frame, this information is now in the About and Usage tabs
* Added FAQ section into the new Options>About tab
* Defaults for ignore debuffs on CD turned off by default
* Updated localization files, much easier to translate should someone want to take on translations for their region
* Update Range/Aggro/Aura frequency increased to 0.2 by default, lowest frequency changed from 0.8 to 0.4
* Tooltip update (When constantly update tooltip select) frequency significantly increased
* Added Paladin's Sacred Shield to buff monitor
v5.0.5.4
=================
* Added option to ignore debuffs while cure spell is on cooldown
* Added monitor magic debuffs for Monks with the correct spec
* Added Priest's Spirit Shell
* Added Paladin's Holy Prism
* Added Shaman's Unleashed Fury to buff/icon tracker
* Change to spell validation, now any text on the spell tab that is not a command, item or macro will be bound as a spell (invalid spell names will not show in the tooltip)
* Improvements to spell lookup, removal of the root cause for lag/fps drop experienced in early 5.0.4.x versions
* Update to Custom Debuff Categories, custom debuffs maybe in the wrong category but will still work as before
* Minor fixes to Custom Debuff Options tab
v5.0.5.3 Note: This version resets tracked hot/buff icons
=================
* Fix for non en clients with Shaman's Cleanse Spirit showing twice
* Fix action on tracked hot/buff icons
* Addition option "My Class" action on tracked hot/buff icons, allows to track hot/buff icons cast only by others of the same class as you
* Fix for Paladin seals
* Added Monk's stances
* Possible fix for non en clients with Shaman's Cleanse Spirit not showing Magical Debuffs
* Code improvements and more memory optimizations around tracked hot/buff icons, addon should be using ~2.4Mb, down from 4Mb in 4.3.x version
* Added general command Toggle Dislike Mount, for use with random mount mouse wheel toggle
v5.0.5.2 *** Run Reset_HealBot.bat to take full advantage of memory improvements ***
=================
* Possible fix for non en clients with Shaman's Cleanse Spirit (again - unable to test)
* Fix for Monk spells
* Reduced number of default skins and code improvements for HoT/buff icons to reduce memory
v5.0.5.1
=================
* Minor update to Minimap button at the request of SexyMap author
* Possible fix for non en clients with Shaman's Cleanse Spirit
* Fix for Default Skins
* Fix for Ready Check
* Fixed a number of taint issues
v5.0.5.0
=================
* Fix to Shamans Cleanse Spirit/Purify Spirit based on Talent
* Fix to a number of buff trackers after localization change in 5.0.4.5 exposed some old ID's
* Added additional Monk spells, buffs and chi power indicators
* Adjusted power indicators depending on max available
v5.0.4.5
=================
* Fix to default skins
* Performance improvements on load and talent change
* Significant reduction in memory usage
* Updated Info frame (Options>Info button) to show more usage data
* Removed translations that are not needed (where GetItemInfo()/GetSpellInfo() is used)
* Fix Druid Harmony tracker
v5.0.4.4
=================
* Fix to debuff and buff tracking of certain classes and MainTanks
* Updated libraries
* Talent spec now shows for all units in the tooltips
* Role text (or icon) now shows for all units on the bars
* Fixed API change with Hide Party Frames
* Fixed API change with Ready Check, is Raid/Party Leader
* Fixed Paladin Cleanse not detecting magical debuffs
v5.0.4.3
=================
* Fixed Illuminated Healing tracker
* Added Divine Purpose tracker
* Changed Holy Power to 5 indicators
* Added Divine Insight tracker
* Fixed Holy Word: Serenity
* Fixed Echo of Light tracker
v5.0.4.2
=================
* Added additional new spells
* Added healing type spells from selected talents
* Fixed some spells not showing
* Fixed taint issue
v5.0.4.1
=================
* Fixed missing spells issue
* Performance improvements around spell lookups
v5.0.4.0
=================
* Changes to API's for MoP
* Added Monk class
* Updated MoP talents
* Updated MoP spells
* Update ToC
v4.3.4.1
=================
* Added option to show role instead of class
* Fixed class/role texture bug
v4.3.4.0
=================
* Clean up of addon directory
v4.3.2.0
=================
* Tweeks to some non critical updates such as speed of talents and friends lists
* Added battlenet friends as requested on the main healbot forum
v4.3.0.1
=================
* Tweeks to aura updates
v4.3.0.0
=================
* ToC Update
* Included Reset_HealBot.pl for MAC users - Thanks to Garrett Taylor who coded and submitted this perl script.
v4.2.2.2
=================
* Added Mass Resurrection support
v4.2.2.1
=================
* Minor bug fixes
* Ignore aura events when resting now off by default
v4.2.2.0
=================
* Added Ignore aura events when resting on the General tab - Ignore buffs/debuffs/HoTs when resting
* Added button to Enable/Disable custom debuffs in specific instances - Enable/Disable when in the instance
* Performance Improvements
* Updated localizations
v4.2.0.3
=================
* Minor ToC fix
* Updated localizations
v4.2.0.2
=================
* Cures>Custom Debuffs - Added check box to enable/disable bar colour
* Custom Debuffs can now be any type of Aura
* Minor fix and improvements to Low Mana Indicators
* Minor fixes with Reverse Duration on the Cures>Custom tab
* Removed libQuickHealth as it's not supported and causing issues for some players
* Added HealBot fastHealth, Healbot is now parsing the combat log internally.
v4.2.0.1
=================
* libQuickHealth is back and enabled by default
* Added Low Mana Indicators
* Minor performance improvement
* Fixed bug in Healbot tooltips when showing mana
* Fixed bug on Options>Buffs tab, time shown on sliders.
v4.2.0.0
=================
* ToC Update
* Fixed nil error bug
* Added Option to turn off Query Talents to the General Tab
v4.1.0.1
=================
* Simplified and improved the aggro monitor.
* Added aggro indicators
* Moved aggro alert level to aggro tab and renamed to Bar alert level
* Added Indicator alert level
* Added Threat and Mana to tooltips
* Added slash command: "/hb aggro 2 n" Set aggro level 2 on threat percentage n
* Added slash command: "/hb aggro 3 n" Set aggro level 3 on threat percentage n
* Added additional warlock buffs
* Added Priest's Glyph of Prayer of Healing
v4.1.0.0 *** Run Reset_HealBot_WoW_4.1.bat is recommended ***
=================
* toc update for WoW 4.1
* Updated Priest's Shield and Weakened Soul with 4.1 change
* Fixed low level Druid bug
* Removed lesser used skins to reduce memory footprint
v4.0.6.5
=================
* Removed libQuickHealth completely, this has not been supported for a long time and from WoW 4.1.x it is broken
* Removed "Disable bar when range over 100 yards", now the bar is always be disabled when over 100 yards
v4.0.6.4
=================
* Moved Disable Healbot back to the General tab, no longer skins based
* Added Only When Solo on the General tab to allow automatic disable when solo
* Added Reverse Duration on the Cures>Custom tab to show how long a debuff has been on the target
* Fixed a few minor icon text bugs
* Fixed a minor debuff icon bug
v4.0.6.3
=================
* Changed Paladin Holy Power indicator to use a texture instead of a text character *
* Fixed background not fixed colour issue
* Fixed default custom debuff bug on a clean install of 4.0.6.2
* Updated localizations
v4.0.6.2
=================
* Acirac added Pets: Groups of five option to the Skins>Healing tab
* Acirac added Font Outlines on the Skins>Headers and Skins>Bar Text tabs
* Added Holy Word: Serenity to Priest's spells
* Added monitoring for Druid's Clearcasting buff
* Added monitoring for Paladin's Word of Glory buff
* Added monitoring for Priest's Evangelism and Archangel buff
* Added Druid's Tree of Life spell
* Embedded LibTalentQuery-1.0 to reduce chance of Blizzard TalentUI bugs
* Fixed Bottom anchor issue when using headers
* Fixed Skin change can sometimes not complete correctly
* Fixed debuff priorities for Custom vs Normal
* Fixed Custom Debuff colours now saved globally
* Minor performance improvements.
* Minor bug fix to 4.0.6.1
* Minor bug fixes
* Updated localizations
v4.0.6.1
=================
* Minor improvements with HealBot tooltips
* Moved Disable Healbot to the Skin>General tab. Healbot can now be set to automatically disable when using Set Skin Default
* Tooltip Location option on the Tips tab is now bound to the skins.
* Acirac added Panel Scale and bound the new options with the skins.
* Added additional buffswaps Devotion Aura and Stonekin Totem - Inner Fire and Inner Will
* Added Inner Fire and Inner Will to Monitored Icons
* Minor performance improvements.
v4.0.6.0 *** Running Reset_HealBot.bat and setting defaults is recommended ***
=================
* General options expect "Disable Healbot" now now save globally
* Other options now now save globally
* Tooltip options now now save globally
* Added Dark Intent to HoT/Buff monitor
* Fixed Character specific macros not showing on options - spell tab
* Added toggle for Frame lock bypass. /hb flb
* Added toggle restrict target bar to Left=SmartCast and Right=add/remove to/from My Target
* Updated localizations
v4.0.3.10
=================
* Minor improvements with aggro monitor
* Bug fix with showing debuff colour on the aggro bars
v4.0.3.9
=================
* Added Nature's Grasp to Buffs and monitored HoTs/Icons
* Fixed spell select help to only show Leap of Faith at level 85
* Minor bug fixes and improvements
v4.0.3.8
=================
* Improved performance based on FPS
* Fixed cool-down timer on icons
v4.0.3.7
=================
* Added leap of faith
* Minor Improvement with BG default skins
* Updated localizations
v4.0.3.6
=================
* Bug fix and general performance improvement
* Minor bug fix with MouseWheel options
v4.0.3.5
=================
* Added Power Word: Barrier
* Minor changes to default settings - hide options now only in default skins AV and Ranges
* Minor bug fixes with MouseWheel options
* Updated localizations
v4.0.3.4
=================
* Added additional MouseWheel options on the Other tab
* Updated localizations
v4.0.3.3
=================
* Updates to Skins>Healing tab, added sub tab Hide with options to remove bars over 100 yards
* Moved SmartCast to Other tab
* Moved MouseWheel option to Other tab and added additional options
* Updated localizations
v4.0.3.2
=================
* Talent update for Priest changes
v4.0.3.1
=================
* Tooltip nil error bug fix
* Minor bug fixes and improvements
* Updated localizations
v4.0.3.0
=================
* "New version available" message is only displayed once for the current version
* Talents are back using healbot code instead of an embedded library
* Updated localizations
v4.0.1.5
=================
* Added option to disable/enable showing Paladin's Holy Power
* Improved speed of debuffs/buffs/HoT's/range/aggro checks
* Added PvE to buff/cure monitor **Check buff and cure tabs**
* Minor bug fixes and improvements
* Update to TitanHealbot - When enabled the regular text (addon text) will show the current Skin
* Updated localizations
v4.0.1.4
=================
* Updates to the buff monitor
* Updates to TitanHealbot including option to show on right side
v4.0.1.3
=================
* Updated Hand of Protection to work from level 18
* Fix for skin sharing
* Added Unleash Elements to Other Spells dropdown
* Added role changes event and updated role checking in raids
* Added Guarded by the Light to icon monitor
* Fixed Tooltip bug when switching spec
* Fixed Dalaran Brilliance
* Improved Paladin Holy Power indicator and added "/hb pcs [n]" to allow changing the size of the indicator. Default value is 7
* Updated localizations
v4.0.1.2
=================
* Added Grace to icon monitor
* Added Dalaran Brilliance
* Added "/hb stp" to toggle Self Pet
* Fixed Paladin Hand of Sacrifice not shown
* Fixed Druid Wild Growth not shown below level 60
* Improved skin sharing checks
* Chakra added to buff list
* Updated libraries
* Bug fixes and improvements
* Updated localizations
v4.0.1.1
=================
* Added Target: Always show on the Skins>Healing tab
* Added Focus: Always show on the Skins>Healing tab
* Added Use Game Tooltip on the Tips tab
* Disabled libTalentQuery, waiting on an updated lib
* Fixed for Cataclysm
* Updated localizations
v4.0.1.0
=================
* Updated for Cataclysm
v3.3.5.4
=================
* Minor bug fixes and improvements
v3.3.5.3
=================
* Bug fix for Combat Protection
v3.3.5.2
=================
* Internal changes in preparation for Cataclysm
* Added Combat change protection to the Other tab
* Change to Crash Protection, On/Off setting now binds to skins
* Minor bug fixes and improvements
v3.3.5.1
=================
* Changed Test tab to Other
* Added Crash Protection on the Other tab
* Added highlight targeted player using the aggro bars
* Added Lightwell Renew to monitored HoT's
* Fixed (for Raid Leaders) ReadyCheck corrupted by older healbot version
* Fixed MainTank not always displayed correctly after party changed
* Minor performance improvements
* Update libraries
v3.3.5.0
=================
* Share Skins now include Aggro Alert Level
* Added Innervate and Natures Swiftness to heal select other spells dropdown
* The Tank in randoms is now included in the Main Tank list
* Added "Add/Remove Private main tank" to the hbmenu, this allows for private additions to the main tank list
* Added a few icons to monitored icons.
* Changes to the way Anchor works.
* Added the blizzard menu and healbot menu to the mouse wheel up/down.
* Included LibTalentQuery-1.0 and introduced methods to ensure no spamming of talents (this is always down to the addon and not the lib)
* Added command to the general tab, "Delete custom debuffs on priority 10". If 74 customs debuffs is too many, just change the priority of the ones to keep and delete the rest
* Fix and change to PW:S and WS, now the icon for PW:S is displayed if the buff exists, otherwise the WS icon is displayed while the debuff remains.
* Added toggle for PW:S and WS. If you prefer the old way type: /hb ws
* Minor bug fixes and improvements
* Update libraries
v3.3.3.4
=================
* Created Skins sub tabs Aggro and Icon Text with additional options
* Created test tab and moved test bars options
* On the general tab, created dropdown for many of the slash commands
* Improved General tab and many Skins sub tabs to reduce clutter.
* Localization updates
v3.3.3.3
=================
* Fixed a bug that affects disabled spell settings for buttons 6 - 15
* Fixed a bug that affects menu and hbmenu, the wrong menu can be shown
* Changes to default spell settings for target, assist, menu and hbmenu. Now the same for all classes
* Added "Set/Clear HealBot Focus" to the hbmenu, set healbot to remember who you like to focus with options for zones, when later targeted HealBot gives a 1 click reminder
* Added new skin "Ranged" to defaults
- Recommend running Reset_HealBot.bat in the HealBot addon folder while completely out of WoW. (This is optional)
- Note: Running Reset_HealBot.bat will reset HealBot settings to defaults for all characters and skins.
v3.3.3.2
=================
* Updated custom debuffs
* Split up custom debuffs into categories
* Fixed the rounded texture display issue
* Added hbmenu command to display a healbot specific menu
v3.3.3.1
=================
* Cure tab now has 3 sub tabs for Debuffs, Custom and Warning
* Added customizable priorities for debuffs and custom debuffs
* Added customizable colours for custom debuffs
* Added Range options for each debuff warning
* Minor improvements on the Skins>Icons tab
* Added Submitted code for 15 buttons, thanks to Amozinho on Anvilmar(US)
* Localization updates
v3.3.3.0
=================
* Added Main Assist to the Skin>Healing tab
* Removed Self Pet from the Skin>Healing tab
* Added slash command '/hb spt' - toggles on/off showing own pet
* Added shaman HoTs and procs to the monitor
* Localization updates
* Update libraries
v3.3.2.5
=================
* Minor bug fix with monitored buffs not removed when dead
* Added Thorns to monitored buff list, turned off by default
v3.3.2.4
=================
* Localization updates
v3.3.2.3
=================
* Major Localization updates
* Minor bug fixes and improvements
* Update libraries
v3.3.2.2
=================
* Changed default values for class filtering on monitored HoT's
* Performance improvements with aggro/threat monitor
* Corrected Heal amounts (Mostly affects Shamans)
* Minor bug fixes and improvements
v3.3.2.1
=================
* Added Righteous Defense the Help select other spells dropdown
* Minor bug fixes and improvements
v3.3.2.0
=================
* Added additional spells the Help select spells dropdown
* Fixed highlight bug
* Added slash command '/hb aggro current' - shows current settings for aggro slash commands
* Minor bug fixes and improvements
* Updated localizations
v3.3.0.15
=================
* Performance improvements with Threat monitoring
* Fixed a bug where icon not always removed when someone leaves the group
* Added tukui textures
* Added waiting response to ReadyCheck
* Updated localizations
* Update libraries
v3.3.0.14
=================
* Added Aggro Alert Level dropdown on the Skins>Healing tab
* Added Show active monitored HoT details option on the Tips tab
* Improved Threat monitoring and aggro alerting
* Minor bug fixes
* Updated localizations
* Added Slash commands:
- '/hb aggro col <aggroStatus> <R,G,B>' - changes the aggro bar colour
. For aggroStatus use 'Low', 'High' or 'Has'
. For each RGB is a number between 0 and 1
- '/hb aggro freq <flashFreq>' - Sets how quick the aggro bars flash
. For flashFreq use a number between 0.005 and 0.2
- '/hb aggro alpha <whatEnd> <opacity>' - Set the lower and higher end of the flash opacity
. For whatEnd use 'min' or 'max'
. For min opacity use a number between 0 - 0.8
. For max opacity use a number between 0.2 - 1
v3.3.0.13
=================
* Change to PW:Shield, now directly tracks the weaken soul debuff
* Added spells to the help select spells dropdowns
* Added option Self First for SubSorts on the Skins>Healing tab, find it bottom left. This option replaces the previous global "Always putting the player first in SubSorts", the slash command remains.
* Added Ready Check to Skins>Icons
* Added Tank cooldowns to the HoT monitor
* Added a way to filter the HoT monitor by selected classes, reduces the dropdown list size
* Added options for tracking Threat % on the Skins>General tab
* Performance improvements
* Minor bug fixes
Note: Ready Check only works when your leader or when another HealBot user is leader with Ready Check turned on.
v3.3.0.12
=================
* Correct version number
* Added more spells to the HoT monitor
* Added Role to the SubSorts, see Skins>Healing
* Added slash command /hb tr <Role>, allows setting which role has highest priority for SubSorts
* Added slash command /hb ssp, toggles always putting the player first in SubSorts
* Minor bug fixes
* Updated localizations
v3.3.0.11
=================
* Bug fixes
v3.3.0.10
=================
* Bug fixes for 3.3.0.7
* Added more spells to HoT monitor and help select spells dropdowns
* Added formatting options to Skins>Text
* Updated localizations
v3.3.0.9
=================
* Bug fixes for 3.3.0.7
* Updated localizations
v3.3.0.8
=================
* Added slash command "/hb use10" enable using additional slot when an auto trinket is enabled.
* Bug fixes for 3.3.0.7
* Updated localizations
v3.3.0.7
=================
* Skins tab: Icons - Added options to allow which HoTs are monitored
* Skins tab: Icons - Added options to allow showing counters for only self casts
* Skins tab: Icons - Added option to place icons below the bar
* Skins tab: Icons - Added option to have a double row of icons
* Spells tab - Added ? button to help easy set spells
* Performance Improvements
* Bug fixes and improvements
* Updated Libraries
* Updated localizations
v3.3.0.6
=================
* Skins - The option "Skin defaults to" now saves per character
* Skins - Added extra defaults for BG's
* Bug fixes and improvements
v3.3.0.5
=================
* New Skins - The option "Skin defaults to" is always set to None
* Added slash command - /hb as - Toggles accepting Share Skins or completely ignore
* Bug fixes and improvements
v3.3.0.4
=================
* Bug fixes and improvements
* Updated localizations
v3.3.0.3
=================
* Share Skins now work regardless of comms setting.
* Updated localizations
v3.3.0.2
=================
* Added slash command - /hb suppress sound - Toggles sound suppression when using auto trinket
* Added slash command - /hb suppress error - Toggles error suppression when using auto trinket
* Added buff Vampiric Embrace
* Bug fixes and improvements
v3.3.0.1
=================
* Removed SharedMedia Folders from the distribution due to "copyright", as stated by the author of SharedMedia
* Added slash command /hb tt - Toggle on/off updates to Titan Healbot
v3.3.0.0
=================
* Updated ToC
* Added "HB Ultra low comms options" to the Heal Comm method dropdown on the General tab.
- Expect comms will be up to 5 times lower when compared with libHealComm, this can now be tracked in KB using the Info button in Options.
* libHealComm-4.0 can safely be removed by the user, see disable_libHealComm.html in the docs directory.
- This change is due to libHealComm enforcing comms on the user even when the user wants the library disabled.
* Added options to select which Raid Targets Icons are shown.
* Added the ability to share Skins with other HealBot users
* Added additional modifier keys CTRL+SHIFT+Click and ALT+SHIFT+Click to the Spells tab
* Updated localizations
* Updated Libraries
* Bug fixes and improvements
v3.2.2.9
=================
* Improved Sub Sort
* Added addition anchor options
* Added option on the General tab to enable/disable libHealComm-4.0
* Added option on the Spells tab to cast when the mouse button is pressed or released
* Updated localizations
* Minor bug fixes and improvements
v3.2.2.8
=================
* Cleaned up incoming heals, now more dependent on LHC40
* Removed LHC30 wrapper
* Added Sub Sort to sorting raid bars.
* Implemented activate a heal when mouse is pressed not released
v3.2.2.7
=================
* Improved Font scaling
* Improved frame positioning
* Temporarily move Raid Symbol icon when debuff icon is shown
* Improved Fluid Bars
* Added hbtargettarget and hbtargettargettarget for use in macros
* Updated Tooltips
v3.2.2.6
=================
* Improved Close Automatically
* Improved Hide Party frames
* Fixed DK custom class bug on the general tab
* Fixed nil error with test bars when changing zones
* Optimised switching skins, no longer does a soft reset
* Levitate is now marked as a short buff
* Moved Debuff Icon to opposite side
* Updated Libraries
v3.2.2.5
=================
* Fixed occasional cannot heal a pet
* Fixed Healbot stops working in arenas
* Fixed status is nil bug
v3.2.2.4
=================
* Added "Auto Target" on the spells tab, will auto target the unit your casting on.
* Added "Auto Trinket" on the spells tab, will auto use trinket slots 1 and/or 2
* Added options to set the number of groups (Headers) per column when Headers is off
* Minor bug fixes
* Updated Libraries
* Updated localizations
v3.2.2.3
=================
* Major changes to options and changes to skins.
* Larger number of options now save settings per skin.
* Added Header height
* Added options to default a skin to party, raids, battlegrounds and arenas
* Optimised code around skin changes
* Updated Libraries
* Updated localizations
v3.2.2.2
=================
* Added options on the General tab for Test Bars
* Improved usage of Test Bars
* Position of Healbot frame now saves with each skin
* Updated localizations
v3.2.2.1
=================
* Added option to highlight the targeted bar using a custom colour with the aggro bars (See Skin tab 1)
* Added the updated FuBur plugin
* Added test bars - Still currently work in progress, to access use "/hb test <number of bars>"
* Removed Healbot incHeal comms completely
* Fixed incoming heal opacity bug
* Fixed a bug with icons
* Minor bug fixes
* Updated Libraries
* Updated localizations
v3.2.2.0
=================
* Major update to incoming heals
* Added Option to show class as icon or text (See Skin Tab 2)
* Added "stop" as a spell command, this will stop your current casting spell (any spell)
* Added "tell AnyMessage" as a spell command, this will send a message as a whisper - a message must be entered for this to work
* Added "Separate Incoming Heals" to Skins tab 2. This separates the incoming heal from the current health shown as a delta or percent.
* Minor bug fixes and improvements
* Added slash command "/hb skin SkinName" - allows for skins to be changed in macros or by typing the command
* Added slash command "/hb rc" - Resets Custom Debuffs to default values.
* Added slash command "/hb rs" - Resets Skins to default values.
* Added slash command "/hb t" - Toggle between Healbot enabled and disabled
* Selected skin saves per character.
* Added support for international characters
* Improved range checking
* Updated Libraries
* Updated localizations
v3.2.0.12
=================
* Fixed ResetHB, bug in Improved load after DC
* Fixed multiple columns offset slightly different
v3.2.0.11
=================
* Improved load after DC
* Improved handling party/raid changes in combat
* Updated libHealComm-4.0
* Updated localizations
v3.2.0.10
=================
* Minor bug fixes and improvements
* Replaced libHealComm-3.0 with libHealComm-4.0
* Updated localizations
v3.2.0.9
=================
* Added options to switch off Healbot comms, libHealComm will be used instead. (See general tab)
* Minor bug fixes
v3.2.0.8
=================
* Added option: Set bars to a custom colour (See Skin Tab 2)
* Fixed buffs not updated when switching spec
* Fixed Pet class colour not shown correctly
* Updated localizations
v3.2.0.7
=================
* Updated localizations
* Minor bug fixes and improvements
* Added Paladin Hand buffs
* change to default settings for packaged skins
* Added Focus to targets watched for buffs/debuffs
v3.2.0.6
=================
* Minor bug fixes
v3.2.0.5
=================
* Updated Mage Int buffs
* Added Soul Link to buffs
* Added Penance
* Added buffs and Cures to have unique settings per spec.
* Added Pain Suppression and Power Infusion to buffs
* Added Power Infusion to HoTs
* Changed "Name" to targets watched, it is now possible to watch many named players for buffs (Separate names with a coma)
* Updated localizations
* Fix for Don't show raid target icons
* Fix for handling of group/raid changes while in combat
* Minor bug fixes
v3.2.0.4
=================
* Added 10th slot to buffs
* Added "Name" to targets watched, it is now possible to watch a named player for buffs
* Ignore buffs on cooldown and recheck when ready
* Improved handling of group/raid changes while in combat
* Updated localizations
* Added Gift of the Naaru HoT
* Minor bug fixes
v3.2.0.3
=================
* Updated libraries
v3.2.0.2
=================
* Added Raid Icons
* Additional Raid Icons check when units join/leave the party/raid
* Added option to turn off/on Raid Icons
* Updated Spanish localizations
v3.2.0.1
=================
* Updated localizations
* Added Shaman Cure Toxins
* Updated Paladin Flash of Light HoT
v3.2.0.0
=================
* Updated TOC
* Paladin's Beacon of Light and Sacred Shield are now shown for all Paladin's in the raid/party
v3.1.3.1
=================
* Added option to hide tooltips in combat
* Updated localizations
v3.1.3.0
=================
* Updated localizations
* Minor bug fix with Vehicles shown as Pets
* Minor bug fix with Icon update
* Updated Libraries
* Updated Shaman buffs
v3.1.2.0
=================
* Updated localizations
* Fixed Health update for vehicle bug
* Updated vehicle code to allow for multiple players on the same vehicle
* Improved Power Word:Shield/Weakend Buff code, countdown now shows on Weakend Soul when if the Shield has gone.
* Fixed a number of minor bugs.
v3.1.0.3
=================
* Added use of "Menu", can be added as a spell
* Added use of "MainTank", can be added as a spell
* Added use of "MainAssist", can be added as a spell
* Remove aggro from bars affected by group/raid changes while in combat
* Minor changes to defaults
* Simplified HoT counters and added Grace
* Bug fix with unit name changes in BG's
* Buff reset after using dual spec
* Custom Debuffs ignore other debuff setting
* Fix bug when sorting by MaxHealth in high level raids
v3.1.0.2
=================
* Improvements and bug fix with Vehicle code
* Reset spells on talent change
* Improved response of disable/enable healbot
* Bug fix with HoT icons
* Fixed old minimap bug
* Updated Titan plugin
* Updated libHealComm
* Updated for dual spec, added option to save unique spells based on spec.
* Added new default custom debuffs for Ulduar
* Made it easier to use spell ids when adding custom debuffs
v3.1.0.1
=================
* Fixed mis scan on priest talents
* Fixed changes with buffs and monitoring own buffs
* Fixed PoH in party
* Updated libHealComm
* Added priest disc talent buffs
* Improved Vehicle code
v3.1.0.0
=================
* Fixed truncating vehicle name on the players bar
* Fixed irrelevant vehicles shown as pets
* Changed Shaman Earth/Water Shields to show all Shamans casts, self casts include the count.
* Updated Priest Prayer of Healing for Patch 3.1.0
* Added Shaman Healing Ways Icon
* Additional updates on load to improve DC issue
* Fixed range bug
v3.0.9.2
=================
* Altered priority of the focus bar, Main Tanks and My Group now have higher priority over Focus.
* Added option to toggle the use of the Focus bar.
* Added option to toggle the My Targets list, if Off then my targets are listed in the Group
* Vehicles are now shown in the Vehicles Group
* Added option to toggle the Vehicles Group
* Added command for help: /hb h
v3.0.9.1
=================
* Updated libs
* Added levitate to buffs
* Added Grace to Icons
* Updated load to improve DC issue
* Energy/Mana/Rage/Runic bar now uses opacity settings
* Converted to using GUID
* Removed requirement for unique names
* Added Vehicle events, vehicle name and health included on the bar and in the tooltip
* Added [target=hbtargetpet], this will target unit vehicle or pet when used in macros
* Added Nourish to show on Incoming Heals
* Dropped lower level priest spells from SmartCast at levels 20 and 40
* Updated Localizations
* Fixed onload bug
* Added Pain Suppression to HoT's
* Added focus to be shown with the My Targets group
v3.0.9.0
=================
* Updated SharedMedia
v3.0.8.2
=================
* Minor update to load, try to catch all ppl who need to run the bat file and do this automatically
* Removed the use of DetailedThreat code, no need for it.
* Major Es localizations update
v3.0.8.1
=================
* Updated localizations
* Fixed Threat issue
v3.0.8.0
=================
* Version update
* Minor bug fix with global skins
v3.0.3.14
=================
* More Improved stability of global skins
* First time logon with any toon: Any skin with the texture Empty is reset
* Updated localizations
* Added Shaman water shield icon
v3.0.3.13
=================
* Improved stability of global skins
* Updated localizations
v3.0.3.12
=================
* Improved Shaman weapon buffs
* Fixed bug with MT's leaving the raid
v3.0.3.11
=================
* Acirac has improved the additional textures/fonts/sounds added, skins now maintain settings.
* libQuickHealth is optional and on by default
* Order of MT's now reflect the order set
* Shaman buff icon counts for water shield and earth shield
* HoT's and incoming heals now work in all BG's
* Minor rare bug fix with HoT timer
* Updated localizations
* SharedMedia now included in the distribution
v3.0.3.10
=================
* Fixed nil error HealBot_Panel.lua line 340
v3.0.3.9
=================
* Improved setting healing bars for Self Pet and Main Tanks
* Improved aggro/threat code
* Added options to the cure tab for bar colours on curable debuff: "Show on health bar" and "Show on aggro bar"
* Fixed nil error in tooltips
* Updated localizations
v3.0.3.8
=================
* Fixed bar does not always update when dead units release to a new zone with full health
* Fixed PoM icon does not update when Weakend Soul debuff is active
* Added option Double Text Line, when enabled the health delta/percent is shown below the name
* Added option Text Alignment, Aligns the text to Left, Middle or Right (Currently requires UI reload to take effect)
v3.0.3.7
=================
* Fixed Dispell Magic bug
* Fixed Aggro shown when unselected
* Fixed rare nil error bug when checking buffs/debuffs
* Updated localizations
v3.0.3.6
=================
* Cure option "Ignore: short duration" now works for all short debuffs, default is 7 seconds.
* Added option to set Ignore short duration in seconds
* Minor performance improvements when checking debuffs
* Added option to fully enable Target Bar
* Merge Enabled/Disabled tooltips, minor improvements
* Improved Target Bar functionality
v3.0.3.5
=================
* Fixed SmartCast not casting cure spells.
* Fixed Minimap tooltip
* Stabilised changing anchor
* Update localization that were missing additional ranks.
v3.0.3.4
=================
* More improvements to aggro and threat
* Bone Shield added to the buff list for Death Knights by Acirac
* Guardian Spirit Icon added by Acirac
* Minor bug fix
v3.0.3.3
=================
* Minor improvements to aggro and threat
* Fixed bug IsSpellInRange(): Invalid spell slot
v3.0.3.2
=================
* Added skin option "Icon Text Scale"
* Improved Update Skins function
* Improved integration with LibQuickHealth-2.0
* Removed delay when incoming heal ends
* UnitThreat event fixed
* Icons only show if unit is within 100yard
* Updated De Fr Ru Localizations thanks to our translators
v3.0.3.1
=================
* Change to ensure VariablesLoaded is called before PlayerEnteringTheWorld
v3.0.3.0
=================
* Fixed debuff sounds bug
* Fixed spacing between health bars when aggro bars not shown
* Shaman weapon buffs only show as required when the weapon is missing a temporary enchant
* Fixed issue in Update Skins function - should ease migrating from older versions.
+ Recommended clearing you WTF file to reduce memory usage (this is optional)
v3.0.2.20
=================
* Fixed major bug affecting Shaman's
v3.0.2.19
=================
* Extended aggro bar to clover above and below the health bars
* Included use of Threat to indicate who is tanking and who could be tanking soon, this is shown through the aggro bars.
* Improved response and accuracy of aggro
* Fix Shaman Weapon buffs
* Fix default settings fails to update skins (Note custom skins are retained)
* Added shaman icons.
v3.0.2.18
=================
* Acirac has embedded LibSharedMedia-3.0, more textures, fonts and sounds
* Removed LibQuickHealth-1.0
* Embedded LibQuickHealth-2.0
* Added Paladin Seal of the Martyr
* Fixed update issue affecting slower computers
* Added Druid Revive to notify on res
* Allow for just health to be shown on bar
* Fixed texture for Shaman's riptide
v3.0.2.17
=================
* Moved a number of options into the skins and added a 2nd skins tab
* Fixed counts on debuff icons
* Added Acirac's Fix for Unknown Names When Resurrecting
* Added 5th icon
* Added Abolish Disease and Abolish Poison to the icons
* Added options to Show/Hide text on the icons
* Added slider to change the scale of the icons
* Coded in migration from older versions to ease moving to current version
* Changes Paladin seals to be short buffs
* 4 new default skins added - to access these the WTF folder should be cleared (clearing the WTF folder is not a requirement in this version)
* Added DOS batch script to automatically clear all Healbot text files from WTF.
v3.0.2.16
=================
* Added Seal of Command
* Updated Russian translation
* Fixed Notify for Res only bug
* Fixed Notify to Chan bug
* Fixed possible nil error when targeting a friendly target immediately after logon/ui reload
* Skins are now global, all characters share skins and skins do not get reset when the Defaults button is used.
v3.0.2.15
=================
* Updated Paladin buff Beacon of Light
* Added French translations - Thanks to the email from Kubik
* Updated German translation
v3.0.2.14
=================
* Fixed mage Remove Curse spell
* Minor change to showing debuff icons
* Added Paladin Hand of Salvation
* Replaced all references of this to self
* Added Shaman Cleanse Spirit correctly and added to default spells
v3.0.2.13
=================
* Fixed custom debuff bug
* Added Shaman Cleanse Spirit.
v3.0.2.12
=================
* Fixed minor bug, debuff colour doesn't update immediately
v3.0.2.11
=================
* Fixed a nil error bug that only happens with low level healing classes
* Adding option on Cure tab "Show debuff icon"
* Updated loss/gain of Renew to update Healing Bonus.
v3.0.2.10
=================
* Added Koren translations - Thanks to Sayclub on Cursed/WoWInterface
* Added Paladin Sacred Shield to HoT icons, can't find the texture so for now using SacredCleansing
* Minor change to HoT icon code.
* Updated bar positioning when HoT's are shown off the bar
v3.0.2.9
=================
* Added Paladin buffs Sacred Shield and Beacon of Light
* Fixed a few minor bugs
* Minor improvements to Fluid Bars, now on by default with refresh rate set to 5
v3.0.2.8
=================
* Updated Shaman spells
* Added Shaman HoT Riptide, can't find the texture so using Spirit Link for now.
* Added custom notification messages
* Fixed bug Bars not correctly positioned when HoT's are shown off the bar
* Updated Druid talents
* If spells are changed on the spells tab in options, Healbot does an automatic ResetHB after options has been closed.
* Reconnected LibHealComm-3.0
* Default Range Check freq reduced from 0.1s to 0.05s - This is due to the recent change improved HoT performance (3.0.2.1), HoT monitoring is now tied into Range Check freq.
v3.0.2.7
=================
* Cosmetic updates to the options frames complete.
* Bug fix for Paladin HoT not showing (Ensure "Show HoT Icons" is set correctly on the Tips tab)
* Fixed HoT texture for Paladin's Glyph of Flash of Light
v3.0.2.6
=================
* Cosmetic updates to the options frames (Work in Progress)
* Update for Paladin Glyph of Flash of Light - requires testing and texture still needs to be fixed.
v3.0.2.5
=================
* Fixed Runic Power to update correctly
* Fixed HoT icon doesn't update if the cast is when the icon fades from a previous cast of the same HoT
* A few minor bug fixed
* Added Paladin Flash of Light HoT, requires testing and correct texture.
v3.0.2.4
=================
* Fixed bug mana/rage/energy bar not showing correctly
* Fixed column spacing bug when HoT's are shown off the bar
* Possibly fixed Wild Growth to show as HoT (Don't have a druid to test and the only texture I can find is Flourish)
* Updated Talents and Healing bonuses
v3.0.2.3
=================
* Fixed major bug affecting Paladin class
* Fixed minor bug affecting Druid's HoT's
* Fixed minor debuff icons bug
* Added Druid's Wild Growth and to show as a HoT
* Updated Druid's Tranquility to show as a HoT
* Changed Smartcast to use Druid's Revive spell.
v3.0.2.2
=================
* Fixed a few bugs
v3.0.2.1
=================
* Fixed a few minor bugs
* Improved performance for a number of delayed internal functions
* Slight improvement on Showing DC times
* Improved performance of HoT code and fixed a few minor bugs
* Disconnected HealComm for now - it's erroring in beta
* Improved moving frame
* Added Debuff icon
v3.0.2.0
=================
* Bug fixes for changes with HoT code
* Bug fixes related to beta
* Major code clean up, standardised major functions and global variables reduced in favour of upvalues (external local variables)
* Changes to SmartCast now Blizzard have removed downranking
* Incoming Heals response time greatly improved for the users own heals, also added firewall against non healbot heal messages when the sender has healbot installed.
* Added option Disable bar when range over 100 yards
* Priests can now track Power Word:Shield cast by anyone
* Priests can now track Prayer of Mending cast by anyone
* Show offline time on disabled bars
v3.0.1.5
=================
* Added Koren translations - Thanks to Sayclub on Cursed
* Complete rewrite of HoT icons
* Power Word:Shield icon show a + in the top left corner while Weakened Soul is active. Also if the buff fades early, the icon remains while Weakened Soul is active.
* Added Prayer of Mending count
* Added Lifebloom count
v3.0.1.4
=================
* Fixed flicker effect on bars
* Tooltip improvements - Thanks to Acirac on Cursed and WoWUI
* French translations updated - Thanks for the email from Kubik
* Fixed Smartcast not casting as expected in 3.0.1.3
* Fixed 3.0.1.3 doesn't load correctly on rare occasions.
v3.0.1.3
=================
* Fix unit range issue
* More tooltip improvements
* Increased load time
* Mins:Secs show correctly in options
* Complete rewrite of buff timers
* Fixed a few minor bugs
v3.0.1.2
=================
* Added timers to monitor buffs, allow SmartCast to rebuff n secs/mins before buffs fade (see buffs tab)
* Cleaned up redundant functions and variables and optimised a few functions
* Fixed minor delayed check buff bug
* Added Hunter Mend Pet to known HoT's
* Optimised reseting tooltip
* Bug fix with text displayed on the right side of the tooltip
* Bug fix with incoming heals in tooltip
* Tooltip change to use cached buff settings stored in buff timers
v3.0.1.1
=================
* Out of range members above alert level and with aggro now show enabled out of range
* Out of range enabled text now use enabled opacity
* Tooltip improvements and additions
v3.0.1.0
=================
* Added Death Knight class
* Only use LibQuickHealth while in combat
* Another improvement for response time to deal with raid group changes while in combat (Now linked to Range Check freq)
* Max Range Check freq reduced from 0.5s to 0.25s
* Default Range Check freq reduced from 0.15s to 0.1s
* Updated all pre WotLK default values.
* Updated Priest heal spell default values to level 80
* Updated Druid heal spell default values to level 80
* Updated Paladin heal spell default values to level 80
* Updated Shaman heal spell default values to level 80
v3.0.0.0
=================
* Update for WotLK
* Major updates for options
v2.4.3.5
=================
* Remove duplicated call for LibQuickHealth register callback
* Improved response time to deal with raid group changes while in combat
* Added Russian translations - Thanks to StingerSoft on WoWInterface.
v2.4.3.4
=================
* Reconnected HealComLib
* Fixes for included libraries.
v2.4.3.3
=================
* Disconnected HealComLib
v2.4.3.2
=================
* Fix for buff tab - supplied by Acirac
* move LibQuickHealth register callback to wait for all addons loaded
v2.4.3.1
=================
* Fixes, tooltip and spell id changes thanks to Acirac on Cursed for the code.
* Fixed error when coloring bars by class color in Alterac Valley
* Fixed ghosts showing up as in range of ressing
* Fixed offline unit bars extending across screen when relogging while in a group
* Fixed Buffs displaying incorrectly when learning or unlearning spells
* Miscellaneous other small fixes
* Added text to show if a player is disconnected <DC>
* Added ability to use the spell id when setting up mouse bindings (must press enter after)
* Included library LibQuickHealth-1.0
* Included library LibHealComm-3.0
v2.4.3.0
=================
* Major changes thanks to Acirac on Cursed for the code.
* Fixed color picker not reverting changes when hitting cancel.
* Fixed Stoneform for curing.
* Added ability to create and delete custom debuffs to monitor. Defaults include Burn, Dark Barrage, Fel Rage.
* Added an ability to change bar color for custom debuffs.
* Improved ranged detection. Now uses a custom function that defaults to UnitInRange if the spell or a heavy netherweave bandage is not available. Should fix non healer and melee class issues.
* Updated Chinese translations thanks to the person who emailed.
* Updated Korean translations thanks to SayClub on cursed.
* Fixed bug - opacity setting for Enabled bars out of range
v2.4.2.5
=================
* Added opacity setting for Enabled bars out of range
v2.4.2.4
=================
* Updated the French localization file supplied by Kubik
* Fixed nil issue with class colours on the bars
v2.4.2.3
=================
* Major changes thanks to Acirac on Cursed for the code.
* Main Tank and My Targets added to buff and debuff watch
* Bars can be set to class colours
* Pre 2.4 range checking code brought back with a few improvements
* Dwarf stoneform ability added
* Fixed nil error bug with lower level druids when HoT's are about to fade
* Changed HoT's count down to show red for all classes from 3 secs.
* Minor improvement to aggro tracking
v2.4.2.2
=================
* Minor change to settings bars.
* Added time remaining counter for HoTs, thanks to frenchie on WoWInterface for the code.
v2.4.2.1
=================
* Fixed Main Tanks not showing when using oRA
* Possible fix for an old bug where MT's disappear when the raid members change.
v2.4.2.0
=================
* Rare nil bug fix with setting unit aggro while in combat
* Added support for Blizzard MT assignments, Thanks to Aenora on WoW Interface for suppling the code.
v2.4.1.2
=================
* Change to all range checks expect SmartCast, now using the new UnitInRange API call introduced in 2.4
v2.4.1.1
=================
* Possible fix for incoming heals not always showing on certain clients
* Improved range checking at the cost of a little cpu
* Added slash command "/hb fast" - enabled/disables fast attribute setting, switch this off if you find macros/spells are not working correctly.
v2.4.1.0
=================
* Minor bug fix with non group/raid health
* Possible fix for a few who experience macros not setting correctly (I cannot replicate this error)
v2.4.0.2
=================
* Bug fix when setting attributes with macros.
v2.4.0.1
=================
** NOTE: This version resets your healing, buffs and cure tab **
** NOTE: Recommend deleting all healbot.lua and healbot.lua.old files under your WTF folder. **
* Major change to fix class name change for non En clients
* Reduction in memory usage by ~150KB
* Performance improvements with healing, buffs and cure tab
* Performance improvements with unit changes in raids/groups
v2.4.0.0
=================
* Minor tweaks during load
* TOC update
v2.3.3.122
=================
* Minor change to Info reporting addons comms usage
* Removed debug call
* Minor change to set secure attributes more frequently
* Minor change to improve tracking of Prayer of Mending
v2.3.3.121
=================
* Minor change to set secure attributes more frequently
v2.3.3.12
=================
* Major update for incoming heals, improved safeguards against unexpected/out of order comms
* Added CPU Profile option on general options tab
* Improvements to buff/debuff checking on targets that don't have a bar (for example non party/raid)
* Alter load time and improved performance when setting secure attributes
v2.3.3.11
=================
* Improved aggro monitoring after changes in 2.3.3.9
* Updated incoming heals
* Fixed Prayer of Healing not showing incoming heals - thanks to Acirac on cursed gaming.
* Update Info and included addon cpu/memory and comms usage
* Merged /hb status into info
v2.3.3.10
=================
* Fixed nil error with mana bar
* Fixed incorrect sized mana bar when target has 0 maxmana (npc warrior class for example)
* Reset defaults for best performance
v2.3.3.9
=================
* Update for cross realm player names
* Bug fixed with nil when getting incoming heals
* Optimised code around mana bars and improved performance when the mana bar height=0 and/or aggro monitoring is off.
v2.3.3.8
=================
* Fixed issue with buff tab.
* Added incoming heals from other mods - this is work in progress.
v2.3.3.7
=================
* Fixed issue with buff tab not always correct.
* Improvements to names of dead players
* Changes to HoT code, addressing certain bugs and identifying only buffs cast by the player
* Change to Hide Party/Player/Pet/Target frame so it shows when you relog to another character (unless you have it set to hide on the alt)
* Change to bars code, addressing bug that sometimes shows a full red bar for a dead unit.
* Optimised code around the buffs tab in options
* My Targets now retain the order you add to them
v2.3.3.6
=================
* Added options for the target bar, possible to included Self, Group, Raid and Pets. Friendly NPC's and players outside the group/raid are always shown when Targets is selected.
* Fix for buffs not showing on logon
* Fixed nil errors related to incoming heals from an ace library
* Fixed nil error in tooltips and extended max lines to 40 (previously 34)
v2.3.3.5
=================
* Fix for attributes not setting correctly
v2.3.3.4
=================
* Minor tweak to buff/debuff throttle
* Fixed header for targets, sometimes showed as pet
* Major fix to remove the target bar during combat to avoid tainting issues
* Updated buff checks for targets
* Slight reduction in load time, frame was loading before secure template attributes could be set.
v2.3.3.3
=================
* Increased the load time
* Added Target Bar as an alternative to using Ctrl+Alt+Right
* Fixed unitname is nil bug on load when certain ace libraries exist
* Improved fixed code when setting secure template attributes
v2.3.3.2
=================
* Minor change to load order
* Automated initialising options over the first few seconds on load
* Show Predefined combos in tooltips is now an option
v2.3.3.1
=================
* Minor fixes to xml
* Slight change to tooltip frame with the ability to change the transparency.
* added new slash commands "/hb disable" and "/hb enable"
* Speed up initial load and order of the load, an attempt to load faster than the ui lockdown when in combat
v2.3.3.0
=================
* Fixed bug with headers, occasionally your group would be shown by mistake.
* Workaround for events received out of expected order, improves incoming heals especially when using macros
* optimised incoming heal updates when cast is started and ends.
v2.3.2.1
=================
* Removed targets from Healing tab
* New pre defined combo Ctrl+Alt+Right added to allow adding Targets to a target list, can be used for those you need to focus on.
* New Self Pets option on the Healing tab, allows you to only have your own pet.
v2.3.2.0
=================
* Added Shaman macro examples to the readme file
* Minor change to DE localizations
v2.3.0.8
=================
* Fixed major bug when macros used with smartcast and/or different spells for disabled/enabled bars
* Added Druid macro examples to this file
v2.3.0.7
=================
* Minor update to incoming comms
* Minor update to handling of macros
* Updated tooltips to include macros
* Stopped a few events from running when healbot is disabled
v2.3.0.6
=================
* Updated macros, in the rare case of a macro having a spell name, the spell takes priority
v2.3.0.5
=================
* Added macros, simply create a normal WoW macro and put the macro name in the key/click combo
v2.3.0.4
=================
* Updated Spanish localizations
* Pre defined combo Ctrl+Alt+Any (enable/disable) has been changed to Ctrl+Alt+Left
* New pre defined combo Ctrl+Alt+Middle added to allow BlackListing by name.
v2.3.0.3
=================
* Fix for taint when player dies in combat with auto close switched on
v2.3.0.2
=================
* Improved visibility of names when dead.
* SmartCast is now off by default
v2.3.0.1
=================
* Possible fix for German inc heals
v2.3.0.0
=================
* Change to version numbers to sync with WoW
* Fix for German client localization
* Update toc
v3.0
=================
* Major change to unit tracking on bars to enable updates during combat
* Defaults and /hb show should now move HB to the center of the screen
* Added reset and info buttons for commands /hb ui /hb ri /hb info
* Improved performance of SmartCast
* Healbot still syncs heals when disabled, added for friends of Healbot uses who are healers and non Healbot users.
* Improved opening options
* Bug Fixes
v2.5
=================
* Bug fixes for targets
* Added Paladin aura's and Hunter aspects
* bar for pets only shown if the pets owner has a bar
* Added Alt+Ctrl+AnyButton to toggle state of each bar (enabled/disabled)
v2.47
=================
* Fixed nil bug that rarely happens when another healbot user DC's while casting an incoming heal
* Complete change to aggro monitor, nice performance improvement
v2.46
=================
* Fixed Troll Shadowguard racial talent in en client
* Fixed bug to correctly update buffs/debuffs when setting Self/Party/Raid/Class for the same spell
* Fix for /hb show
v2.45
=================
* /hb show : now unchecks Auto Close, then reset HB to the default location and shows the healing panel
* Fixed nil bug that rarely happens on logon while in a raid
* Improvements to incoming heal amount and tooltip info
* Fixed text colour when in/out of range, inc rez.
v2.44
=================
* Bug fixes to 2.4 including Paladin Cleanse out of range bug
v2.43
=================
* Bug fixes to 2.4
* Replaced /hb ver with /hb info
v2.42
=================
* Bug fixes to 2.4
v2.41
=================
* Bug fixes to 2.4
v2.4
=================
* Major performance increase when players join/leave the raid
* Major performance increase to bar updates and range checking
* Default range checking time dropped from 0.8 to 0.2
* Added Aggro Monitor
* Added Fluid Bars
* Replaced Always Enabled with Always use Enabled Settings
* Removed slider Max. Minor wounded members per range check
v2.3
=================
* Performance increases to bar updates
v2.21
=================
* Fixed targeting bug
v2.2
=================
* Updated for WoW 2.1
* Added some buffs
v2.1
=================
* Added options to move HoT icons
* Added rez only option for chat notify
V2.0
=================
* Major changes for The Burning Crusade
* Added buff monitor
* Added SmartCast to cast an appropriate spell when out of combat
* Added skin options for headers
* Removed Shift+Ctrl+Click from enabled spells
* Removed Abort button
* Range is now 100% accurate in and out of instances.
* Significant performance increase
* Additional options and bug fixes
v1.1262
=================
* Setting columns to 0 sorts columns by headers
* When casting, enabled bars remain enabled with only the text disabled.
* All localization bugs should now be fixed.
* A number of performance tweaks
* Added target to enabled bars, now possible to target while in combat.
v1.1261
=================
* Fixed dispell debuffs while targeting hostile unit
* Fixed incoming heals indicator while targeting unit being healed
* Changes to res monitor and incoming heal reporting, preparing for BC.
v1.126
=================
* Added new options to target and cast on disabled bars.
* Added res indicators.
* Added more options to tooltips and information on the bars.
* Updated tooltips included tips for disabled bars.
* Updated all localizations.
* Registered Healbot with TitanPanel under category Interface.
* Extra bars can be filtered by group.
* Improved performance
* Compatible with CTRA, CTRA is no longer required to obtain tanks.
* Some minor options and changes.
v1.1256
=================
* More updated French localizations.
* Added a few beneficial spells to defaults.
* Change to tooltips to avoid interference.
v1.1255
=================
* Updated French localizations.
v1.1254
=================
* Updated text on bars to scale with bar size and font size.
* Added Alteric Valley skin to defaults.
* Added option to show headers above the bars.
* Fixed a few bugs
* Updated Korean localizations.
v1.1253
=================
* Fix for debuffs.
* Fix for skins with options fontsize, abortsize, abort colour and disabled bar opacity
* Updated opacity code for bars and text.
* Added German localizations
* Fixed startup errors for none healers.
v1.1252
=================
* Changed range checking for debuffs, bars will now change colour but no warnings issued. (if known to be out of range)
* Fix to catch charmed raid members.
* Fixed font scaling bug
* Cleaned up tooltips
* Fixed the window popup bug when player dies in combat
v1.1251
=================
* Fixed checked box issues
* Fixed out of combat when leaving a zone while in combat.
* Added latest Korean localizations
v1.125
=================
* Added skin options to change and save the appearance of Healbot.
* Added decursive options compliant with BC.
* Added tooltip options and only refreshing when required.
* Fixed German localization issues. Big thank you to Corillian on cursed.
* Cleaned up error reporting, mainly for localizations.
* Updated Unit bars ready for BC.
* Significant performance increase
v1.1242
=================
* Minor changes for performance.
v1.1241
=================
* Updated Korean localizations
v1.124
=================
* Removed Hunter class from using HealBot.
* Added Middle and Right mouse buttons to combo keys.
NOTE: I recommend removing HealBot.lua and HealBot.lua.bak (if it exists) from your SavedVariables directory.
It can be found in: <World of Warcraft>\WTF\Account\<Account Name>\SavedVariables
This will remove some old config data no longer used but it will also reset the options to defaults.
v1.1232
=================
* Fixed spam issue with non healing classes.
-- Thanks to hitekredneck13 on cursed for reporting this bug.
v1.1231
=================
* Any spell can be used with combo keys
-- Thanks to Jerenn and solorider on cursed for reporting this bug.
v1.123
=================
* Communication between healers using healbot to show incoming heals
* Number of checked targets back to 5 without original bug
* Added to CT_MOD Control Panel and fixed integration with CTRA.
* Split localizations into separate files.
* Delayed initialize spell data when talents.
-- Thanks to Abbevillian of PG (CUK) for reporting this bug.
* HBmsg is now the debug channel.
* Improved performance, removed talent lookups, redundant code and hard coded spell data
* Fixed tooltips for old style buttons and fixed abort button bug with old style buttons.
-- Thanks to spenster on cursed for reporting this bugs.
* Loading spell data by scanning spellbook.
* Changed appearance of abort button to make it more visible.
* Added opacity setting for HealBot bars and opacity setting for incoming heal indicators
* Updated range checking function
* Cleaned up HealBot_config
--
NOTE: I recommend removing HealBot.lua and HealBot.lua.bak (if it exists) from your SavedVariables directory.
It can be found in: <World of Warcraft>\WTF\Account\<Account Name>\SavedVariables
This will remove a lot of old config data no longer used but it will also reset the options to defaults.
v1.122
=================
* Changed the Buttons to Bars. NOTE: to switch between buttons and bars, run switch.bat in the Healbot directory.
* Added zone change event to reset scale for range checking.
* Cache data and reduced amount of code for tooltip, to much code was being scanned for this.
* Updated talent and equipment bonus lookups to only lookup when needed.
* Removed dependency on BonusScanner and added a cut version to only scan for heal bonus when needed.
* Fixed tooltip bug for spells not checked on use tab but included in combo keys
* Fixed Priest Spirit bonus mod which was ~+1 out
* Fixed ComboKey spell usage to use highest spell unless rank is included
-- Thanks to Astranius on cursed for reporting this bug.
* Added Priest's Improved Power Word Shield to talent modifiers
* Removed all moving checks, it is not accurate and causes bugs
v1.121
=================
* Removed MT's from MT buttons when MT is in players party and players group buttons shown.
* Removed emergency buttons when the target is in the players party and players group buttons shown.
* Merged Option tabs Chat and Keys into Misc
* Added new Options tab Emerg
* Added filter to emergency buttons to only display for a type of Class(es) as setup in emergency options.
* Added option range check to hide emergency buttons for targets out of range.
* Overlapping Options and Abort button bug fixed.
-- Thanks to Thoril on cursed for reporting this bug
* Bug fix for Shaman not being able to cast a new rank10 spell and for any new future healing spells.
-- Thanks to Kaplar on curse for reporting this bug
v1.12 (Note: this version resets the options to defaults)
=================
* Added PvP and PvE profiles and allow for different settings in each profile.
* Added an abort button which will display if your current spell is going to heal the target for more than the Overheal percentage * 4 as set in the options using the Overheal Alert slider.
* Changes to the options for overheals and added an Overheal Alert slider.
* Updated background not to change colour when player stops casting.
* Removed some redundant code
* Spell preference values raised, the preferences are weighted against the targets DPS and time to live, if the target is about to die and the preference is for faster casts then healbot will perform a faster cast. If your target has 0 DPS and more than ~20 secs to live then the preferences are only slightly considered.
* Reduced score of HoT's when the target is about to die.
* Updated the code for healthstones and healthpots.
v1.11
=================
* Fix a bug introduced in V1.1 where range checks cause a nil error to spam in BG's.
v1.1
=================
* Update spell selection to only choose instant cast spell when the player is moving.
* Improved range checks to check the range for each spell, some channel spells only have a 20yards range.
v1.01
=================
* Fix more bugs with talent modifiers applied to mana cost and cast time. Healbot is now performing as expected.
v1.0
=================
* Fixed all data for spells with current patch 1.12 data.
v1.0 rc2
=================
* 40yard range check does not work in instances. Outside in normal zones the 40yards check still works. Inside instances there is a choice of 28yards or 100 yards, to set at 28yards check the option Exact 28yard range check, for 100yards uncheck it.
* Brought back cast time modifier with reduced penalty to scale depending on users preference as set in the options.
* Moved most register events to fire after addon loads, this is for faster loading and zone in.
v1.0rc1
=================
* Added Ranged checking function and tied into existing can cast checks, currently set to 40yards for all.
v0.998
=================
* Fixed bug where if you have 5 extra people checked and then select a 6th, it errors with a null value to index local check.
Note: you can now only check 4 people.
* From this release I will start to maintain a change log. Can still remember major changes in .996 and .997 but the 10 version before .996 are now a blur, it was mostly testing and tuning heals with some other bug fixes.
v0.997
=================
* Healbot is now performing better, put back the item bonus and talent modifiers, these were reduced due to the lesser heals bugs.
* Reduced price of HealthStones, healbot should use these when you mana is starting to drop and health low, needs more tuning and feedback welcome.
v0.996
=================
* Removed cast time from calculating best spell, with the introduction of item bonuses and talents, the +heals made spells with higher cast times score badly which resulted in them not being used.
* Removed a number of function calls when not needed, significantly reduced the amount of code being consistently parsed, this means healbot is now far more efficient.
* Removed the flashing red background, although this is a good way to indicate that the heal will overheal and it is best to abort, it annoys me and I can't be bothered to abort half the time anyway.
v0.95 - v0.995
=================
* Generally debugging and tuning with the introduction of item bonuses and talents being applied to amount healed.
* Updated duration and amount healed for priests greater heal spells, this change in patch 1.10 was not updated in healbot.
* Increased price of HealthPots and HealthStones, to reduce usage of these items.
v0.94
=================
* Picked up healbot with some changes from the original, which fixes a serious bug where the game freezes after a DC but added bugs where small spells are being selected.
* Making some changes to the code and testing.